m4trace:/usr/share/aclocal/pkg.m4:58: -1- AC_DEFUN([PKG_PROG_PKG_CONFIG], [m4_pattern_forbid([^_?PKG_[A-Z_]+$])
m4_pattern_allow([^PKG_CONFIG(_(PATH|LIBDIR|SYSROOT_DIR|ALLOW_SYSTEM_(CFLAGS|LIBS)))?$])
m4_pattern_allow([^PKG_CONFIG_(DISABLE_UNINSTALLED|TOP_BUILD_DIR|DEBUG_SPEW)$])
AC_ARG_VAR([PKG_CONFIG], [path to pkg-config utility])
AC_ARG_VAR([PKG_CONFIG_PATH], [directories to add to pkg-config's search path])
AC_ARG_VAR([PKG_CONFIG_LIBDIR], [path overriding pkg-config's built-in search path])
if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
AC_PATH_TOOL([PKG_CONFIG], [pkg-config])
fi
if test -n "$PKG_CONFIG"; then
_pkg_min_version=m4_default([$1], [0.9.0])
AC_MSG_CHECKING([pkg-config is at least version $_pkg_min_version])
if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
AC_MSG_RESULT([yes])
else
AC_MSG_RESULT([no])
PKG_CONFIG=""
fi
fi[]dnl
])
m4trace:/usr/share/aclocal/pkg.m4:92: -1- AC_DEFUN([PKG_CHECK_EXISTS], [AC_REQUIRE([PKG_PROG_PKG_CONFIG])dnl
if test -n "$PKG_CONFIG" && \
AC_RUN_LOG([$PKG_CONFIG --exists --print-errors "$1"]); then
m4_default([$2], [:])
m4_ifvaln([$3], [else
$3])dnl
fi])
m4trace:/usr/share/aclocal/pkg.m4:121: -1- AC_DEFUN([_PKG_SHORT_ERRORS_SUPPORTED], [AC_REQUIRE([PKG_PROG_PKG_CONFIG])
if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
_pkg_short_errors_supported=yes
else
_pkg_short_errors_supported=no
fi[]dnl
])
m4trace:/usr/share/aclocal/pkg.m4:139: -1- AC_DEFUN([PKG_CHECK_MODULES], [AC_REQUIRE([PKG_PROG_PKG_CONFIG])dnl
AC_ARG_VAR([$1][_CFLAGS], [C compiler flags for $1, overriding pkg-config])dnl
AC_ARG_VAR([$1][_LIBS], [linker flags for $1, overriding pkg-config])dnl
pkg_failed=no
AC_MSG_CHECKING([for $1])
_PKG_CONFIG([$1][_CFLAGS], [cflags], [$2])
_PKG_CONFIG([$1][_LIBS], [libs], [$2])
m4_define([_PKG_TEXT], [Alternatively, you may set the environment variables $1[]_CFLAGS
and $1[]_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.])
if test $pkg_failed = yes; then
AC_MSG_RESULT([no])
_PKG_SHORT_ERRORS_SUPPORTED
if test $_pkg_short_errors_supported = yes; then
$1[]_PKG_ERRORS=`$PKG_CONFIG --short-errors --print-errors --cflags --libs "$2" 2>&1`
else
$1[]_PKG_ERRORS=`$PKG_CONFIG --print-errors --cflags --libs "$2" 2>&1`
fi
# Put the nasty error message in config.log where it belongs
echo "$$1[]_PKG_ERRORS" >&AS_MESSAGE_LOG_FD
m4_default([$4], [AC_MSG_ERROR(
[Package requirements ($2) were not met:
$$1_PKG_ERRORS
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
_PKG_TEXT])[]dnl
])
elif test $pkg_failed = untried; then
AC_MSG_RESULT([no])
m4_default([$4], [AC_MSG_FAILURE(
[The pkg-config script could not be found or is too old. Make sure it
is in your PATH or set the PKG_CONFIG environment variable to the full
path to pkg-config.
_PKG_TEXT
To get pkg-config, see .])[]dnl
])
else
$1[]_CFLAGS=$pkg_cv_[]$1[]_CFLAGS
$1[]_LIBS=$pkg_cv_[]$1[]_LIBS
AC_MSG_RESULT([yes])
$3
fi[]dnl
])
m4trace:/usr/share/aclocal/pkg.m4:208: -1- AC_DEFUN([PKG_CHECK_MODULES_STATIC], [AC_REQUIRE([PKG_PROG_PKG_CONFIG])dnl
_save_PKG_CONFIG=$PKG_CONFIG
PKG_CONFIG="$PKG_CONFIG --static"
PKG_CHECK_MODULES($@)
PKG_CONFIG=$_save_PKG_CONFIG[]dnl
])
m4trace:/usr/share/aclocal/pkg.m4:226: -1- AC_DEFUN([PKG_INSTALLDIR], [m4_pushdef([pkg_default], [m4_default([$1], ['${libdir}/pkgconfig'])])
m4_pushdef([pkg_description],
[pkg-config installation directory @<:@]pkg_default[@:>@])
AC_ARG_WITH([pkgconfigdir],
[AS_HELP_STRING([--with-pkgconfigdir], pkg_description)],,
[with_pkgconfigdir=]pkg_default)
AC_SUBST([pkgconfigdir], [$with_pkgconfigdir])
m4_popdef([pkg_default])
m4_popdef([pkg_description])
])
m4trace:/usr/share/aclocal/pkg.m4:248: -1- AC_DEFUN([PKG_NOARCH_INSTALLDIR], [m4_pushdef([pkg_default], [m4_default([$1], ['${datadir}/pkgconfig'])])
m4_pushdef([pkg_description],
[pkg-config arch-independent installation directory @<:@]pkg_default[@:>@])
AC_ARG_WITH([noarch-pkgconfigdir],
[AS_HELP_STRING([--with-noarch-pkgconfigdir], pkg_description)],,
[with_noarch_pkgconfigdir=]pkg_default)
AC_SUBST([noarch_pkgconfigdir], [$with_noarch_pkgconfigdir])
m4_popdef([pkg_default])
m4_popdef([pkg_description])
])
m4trace:/usr/share/aclocal/pkg.m4:267: -1- AC_DEFUN([PKG_CHECK_VAR], [AC_REQUIRE([PKG_PROG_PKG_CONFIG])dnl
AC_ARG_VAR([$1], [value of $3 for $2, overriding pkg-config])dnl
_PKG_CONFIG([$1], [variable="][$3]["], [$2])
AS_VAR_COPY([$1], [pkg_cv_][$1])
AS_VAR_IF([$1], [""], [$5], [$4])dnl
])
m4trace:/usr/share/aclocal-1.16/amversion.m4:14: -1- AC_DEFUN([AM_AUTOMAKE_VERSION], [am__api_version='1.16'
dnl Some users find AM_AUTOMAKE_VERSION and mistake it for a way to
dnl require some minimum version. Point them to the right macro.
m4_if([$1], [1.16.1], [],
[AC_FATAL([Do not call $0, use AM_INIT_AUTOMAKE([$1]).])])dnl
])
m4trace:/usr/share/aclocal-1.16/amversion.m4:33: -1- AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION], [AM_AUTOMAKE_VERSION([1.16.1])dnl
m4_ifndef([AC_AUTOCONF_VERSION],
[m4_copy([m4_PACKAGE_VERSION], [AC_AUTOCONF_VERSION])])dnl
_AM_AUTOCONF_VERSION(m4_defn([AC_AUTOCONF_VERSION]))])
m4trace:/usr/share/aclocal-1.16/auxdir.m4:47: -1- AC_DEFUN([AM_AUX_DIR_EXPAND], [AC_REQUIRE([AC_CONFIG_AUX_DIR_DEFAULT])dnl
# Expand $ac_aux_dir to an absolute path.
am_aux_dir=`cd "$ac_aux_dir" && pwd`
])
m4trace:/usr/share/aclocal-1.16/cond.m4:12: -1- AC_DEFUN([AM_CONDITIONAL], [AC_PREREQ([2.52])dnl
m4_if([$1], [TRUE], [AC_FATAL([$0: invalid condition: $1])],
[$1], [FALSE], [AC_FATAL([$0: invalid condition: $1])])dnl
AC_SUBST([$1_TRUE])dnl
AC_SUBST([$1_FALSE])dnl
_AM_SUBST_NOTMAKE([$1_TRUE])dnl
_AM_SUBST_NOTMAKE([$1_FALSE])dnl
m4_define([_AM_COND_VALUE_$1], [$2])dnl
if $2; then
$1_TRUE=
$1_FALSE='#'
else
$1_TRUE='#'
$1_FALSE=
fi
AC_CONFIG_COMMANDS_PRE(
[if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then
AC_MSG_ERROR([[conditional "$1" was never defined.
Usually this means the macro was only invoked conditionally.]])
fi])])
m4trace:/usr/share/aclocal-1.16/depend.m4:26: -1- AC_DEFUN([_AM_DEPENDENCIES], [AC_REQUIRE([AM_SET_DEPDIR])dnl
AC_REQUIRE([AM_OUTPUT_DEPENDENCY_COMMANDS])dnl
AC_REQUIRE([AM_MAKE_INCLUDE])dnl
AC_REQUIRE([AM_DEP_TRACK])dnl
m4_if([$1], [CC], [depcc="$CC" am_compiler_list=],
[$1], [CXX], [depcc="$CXX" am_compiler_list=],
[$1], [OBJC], [depcc="$OBJC" am_compiler_list='gcc3 gcc'],
[$1], [OBJCXX], [depcc="$OBJCXX" am_compiler_list='gcc3 gcc'],
[$1], [UPC], [depcc="$UPC" am_compiler_list=],
[$1], [GCJ], [depcc="$GCJ" am_compiler_list='gcc3 gcc'],
[depcc="$$1" am_compiler_list=])
AC_CACHE_CHECK([dependency style of $depcc],
[am_cv_$1_dependencies_compiler_type],
[if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
# We make a subdir and do the tests there. Otherwise we can end up
# making bogus files that we don't know about and never remove. For
# instance it was reported that on HP-UX the gcc test will end up
# making a dummy file named 'D' -- because '-MD' means "put the output
# in D".
rm -rf conftest.dir
mkdir conftest.dir
# Copy depcomp to subdir because otherwise we won't find it if we're
# using a relative directory.
cp "$am_depcomp" conftest.dir
cd conftest.dir
# We will build objects and dependencies in a subdirectory because
# it helps to detect inapplicable dependency modes. For instance
# both Tru64's cc and ICC support -MD to output dependencies as a
# side effect of compilation, but ICC will put the dependencies in
# the current directory while Tru64 will put them in the object
# directory.
mkdir sub
am_cv_$1_dependencies_compiler_type=none
if test "$am_compiler_list" = ""; then
am_compiler_list=`sed -n ['s/^#*\([a-zA-Z0-9]*\))$/\1/p'] < ./depcomp`
fi
am__universal=false
m4_case([$1], [CC],
[case " $depcc " in #(
*\ -arch\ *\ -arch\ *) am__universal=true ;;
esac],
[CXX],
[case " $depcc " in #(
*\ -arch\ *\ -arch\ *) am__universal=true ;;
esac])
for depmode in $am_compiler_list; do
# Setup a source with many dependencies, because some compilers
# like to wrap large dependency lists on column 80 (with \), and
# we should not choose a depcomp mode which is confused by this.
#
# We need to recreate these files for each test, as the compiler may
# overwrite some of them when testing with obscure command lines.
# This happens at least with the AIX C compiler.
: > sub/conftest.c
for i in 1 2 3 4 5 6; do
echo '#include "conftst'$i'.h"' >> sub/conftest.c
# Using ": > sub/conftst$i.h" creates only sub/conftst1.h with
# Solaris 10 /bin/sh.
echo '/* dummy */' > sub/conftst$i.h
done
echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
# We check with '-c' and '-o' for the sake of the "dashmstdout"
# mode. It turns out that the SunPro C++ compiler does not properly
# handle '-M -o', and we need to detect this. Also, some Intel
# versions had trouble with output in subdirs.
am__obj=sub/conftest.${OBJEXT-o}
am__minus_obj="-o $am__obj"
case $depmode in
gcc)
# This depmode causes a compiler race in universal mode.
test "$am__universal" = false || continue
;;
nosideeffect)
# After this tag, mechanisms are not by side-effect, so they'll
# only be used when explicitly requested.
if test "x$enable_dependency_tracking" = xyes; then
continue
else
break
fi
;;
msvc7 | msvc7msys | msvisualcpp | msvcmsys)
# This compiler won't grok '-c -o', but also, the minuso test has
# not run yet. These depmodes are late enough in the game, and
# so weak that their functioning should not be impacted.
am__obj=conftest.${OBJEXT-o}
am__minus_obj=
;;
none) break ;;
esac
if depmode=$depmode \
source=sub/conftest.c object=$am__obj \
depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
$SHELL ./depcomp $depcc -c $am__minus_obj sub/conftest.c \
>/dev/null 2>conftest.err &&
grep sub/conftst1.h sub/conftest.Po > /dev/null 2>&1 &&
grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
grep $am__obj sub/conftest.Po > /dev/null 2>&1 &&
${MAKE-make} -s -f confmf > /dev/null 2>&1; then
# icc doesn't choke on unknown options, it will just issue warnings
# or remarks (even with -Werror). So we grep stderr for any message
# that says an option was ignored or not supported.
# When given -MP, icc 7.0 and 7.1 complain thusly:
# icc: Command line warning: ignoring option '-M'; no argument required
# The diagnosis changed in icc 8.0:
# icc: Command line remark: option '-MP' not supported
if (grep 'ignoring option' conftest.err ||
grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
am_cv_$1_dependencies_compiler_type=$depmode
break
fi
fi
done
cd ..
rm -rf conftest.dir
else
am_cv_$1_dependencies_compiler_type=none
fi
])
AC_SUBST([$1DEPMODE], [depmode=$am_cv_$1_dependencies_compiler_type])
AM_CONDITIONAL([am__fastdep$1], [
test "x$enable_dependency_tracking" != xno \
&& test "$am_cv_$1_dependencies_compiler_type" = gcc3])
])
m4trace:/usr/share/aclocal-1.16/depend.m4:163: -1- AC_DEFUN([AM_SET_DEPDIR], [AC_REQUIRE([AM_SET_LEADING_DOT])dnl
AC_SUBST([DEPDIR], ["${am__leading_dot}deps"])dnl
])
m4trace:/usr/share/aclocal-1.16/depend.m4:171: -1- AC_DEFUN([AM_DEP_TRACK], [AC_ARG_ENABLE([dependency-tracking], [dnl
AS_HELP_STRING(
[--enable-dependency-tracking],
[do not reject slow dependency extractors])
AS_HELP_STRING(
[--disable-dependency-tracking],
[speeds up one-time build])])
if test "x$enable_dependency_tracking" != xno; then
am_depcomp="$ac_aux_dir/depcomp"
AMDEPBACKSLASH='\'
am__nodep='_no'
fi
AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
AC_SUBST([AMDEPBACKSLASH])dnl
_AM_SUBST_NOTMAKE([AMDEPBACKSLASH])dnl
AC_SUBST([am__nodep])dnl
_AM_SUBST_NOTMAKE([am__nodep])dnl
])
m4trace:/usr/share/aclocal-1.16/depout.m4:11: -1- AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS], [{
# Older Autoconf quotes --file arguments for eval, but not when files
# are listed without --file. Let's play safe and only enable the eval
# if we detect the quoting.
# TODO: see whether this extra hack can be removed once we start
# requiring Autoconf 2.70 or later.
AS_CASE([$CONFIG_FILES],
[*\'*], [eval set x "$CONFIG_FILES"],
[*], [set x $CONFIG_FILES])
shift
# Used to flag and report bootstrapping failures.
am_rc=0
for am_mf
do
# Strip MF so we end up with the name of the file.
am_mf=`AS_ECHO(["$am_mf"]) | sed -e 's/:.*$//'`
# Check whether this is an Automake generated Makefile which includes
# dependency-tracking related rules and includes.
# Grep'ing the whole file directly is not great: AIX grep has a line
# limit of 2048, but all sed's we know have understand at least 4000.
sed -n 's,^am--depfiles:.*,X,p' "$am_mf" | grep X >/dev/null 2>&1 \
|| continue
am_dirpart=`AS_DIRNAME(["$am_mf"])`
am_filepart=`AS_BASENAME(["$am_mf"])`
AM_RUN_LOG([cd "$am_dirpart" \
&& sed -e '/# am--include-marker/d' "$am_filepart" \
| $MAKE -f - am--depfiles]) || am_rc=$?
done
if test $am_rc -ne 0; then
AC_MSG_FAILURE([Something went wrong bootstrapping makefile fragments
for automatic dependency tracking. Try re-running configure with the
'--disable-dependency-tracking' option to at least be able to build
the package (albeit without support for automatic dependency tracking).])
fi
AS_UNSET([am_dirpart])
AS_UNSET([am_filepart])
AS_UNSET([am_mf])
AS_UNSET([am_rc])
rm -f conftest-deps.mk
}
])
m4trace:/usr/share/aclocal-1.16/depout.m4:62: -1- AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS], [AC_CONFIG_COMMANDS([depfiles],
[test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS],
[AMDEP_TRUE="$AMDEP_TRUE" MAKE="${MAKE-make}"])])
m4trace:/usr/share/aclocal-1.16/init.m4:29: -1- AC_DEFUN([AM_INIT_AUTOMAKE], [AC_PREREQ([2.65])dnl
dnl Autoconf wants to disallow AM_ names. We explicitly allow
dnl the ones we care about.
m4_pattern_allow([^AM_[A-Z]+FLAGS$])dnl
AC_REQUIRE([AM_SET_CURRENT_AUTOMAKE_VERSION])dnl
AC_REQUIRE([AC_PROG_INSTALL])dnl
if test "`cd $srcdir && pwd`" != "`pwd`"; then
# Use -I$(srcdir) only when $(srcdir) != ., so that make's output
# is not polluted with repeated "-I."
AC_SUBST([am__isrc], [' -I$(srcdir)'])_AM_SUBST_NOTMAKE([am__isrc])dnl
# test to see if srcdir already configured
if test -f $srcdir/config.status; then
AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
fi
# test whether we have cygpath
if test -z "$CYGPATH_W"; then
if (cygpath --version) >/dev/null 2>/dev/null; then
CYGPATH_W='cygpath -w'
else
CYGPATH_W=echo
fi
fi
AC_SUBST([CYGPATH_W])
# Define the identity of the package.
dnl Distinguish between old-style and new-style calls.
m4_ifval([$2],
[AC_DIAGNOSE([obsolete],
[$0: two- and three-arguments forms are deprecated.])
m4_ifval([$3], [_AM_SET_OPTION([no-define])])dnl
AC_SUBST([PACKAGE], [$1])dnl
AC_SUBST([VERSION], [$2])],
[_AM_SET_OPTIONS([$1])dnl
dnl Diagnose old-style AC_INIT with new-style AM_AUTOMAKE_INIT.
m4_if(
m4_ifdef([AC_PACKAGE_NAME], [ok]):m4_ifdef([AC_PACKAGE_VERSION], [ok]),
[ok:ok],,
[m4_fatal([AC_INIT should be called with package and version arguments])])dnl
AC_SUBST([PACKAGE], ['AC_PACKAGE_TARNAME'])dnl
AC_SUBST([VERSION], ['AC_PACKAGE_VERSION'])])dnl
_AM_IF_OPTION([no-define],,
[AC_DEFINE_UNQUOTED([PACKAGE], ["$PACKAGE"], [Name of package])
AC_DEFINE_UNQUOTED([VERSION], ["$VERSION"], [Version number of package])])dnl
# Some tools Automake needs.
AC_REQUIRE([AM_SANITY_CHECK])dnl
AC_REQUIRE([AC_ARG_PROGRAM])dnl
AM_MISSING_PROG([ACLOCAL], [aclocal-${am__api_version}])
AM_MISSING_PROG([AUTOCONF], [autoconf])
AM_MISSING_PROG([AUTOMAKE], [automake-${am__api_version}])
AM_MISSING_PROG([AUTOHEADER], [autoheader])
AM_MISSING_PROG([MAKEINFO], [makeinfo])
AC_REQUIRE([AM_PROG_INSTALL_SH])dnl
AC_REQUIRE([AM_PROG_INSTALL_STRIP])dnl
AC_REQUIRE([AC_PROG_MKDIR_P])dnl
# For better backward compatibility. To be removed once Automake 1.9.x
# dies out for good. For more background, see:
#
#
AC_SUBST([mkdir_p], ['$(MKDIR_P)'])
# We need awk for the "check" target (and possibly the TAP driver). The
# system "awk" is bad on some platforms.
AC_REQUIRE([AC_PROG_AWK])dnl
AC_REQUIRE([AC_PROG_MAKE_SET])dnl
AC_REQUIRE([AM_SET_LEADING_DOT])dnl
_AM_IF_OPTION([tar-ustar], [_AM_PROG_TAR([ustar])],
[_AM_IF_OPTION([tar-pax], [_AM_PROG_TAR([pax])],
[_AM_PROG_TAR([v7])])])
_AM_IF_OPTION([no-dependencies],,
[AC_PROVIDE_IFELSE([AC_PROG_CC],
[_AM_DEPENDENCIES([CC])],
[m4_define([AC_PROG_CC],
m4_defn([AC_PROG_CC])[_AM_DEPENDENCIES([CC])])])dnl
AC_PROVIDE_IFELSE([AC_PROG_CXX],
[_AM_DEPENDENCIES([CXX])],
[m4_define([AC_PROG_CXX],
m4_defn([AC_PROG_CXX])[_AM_DEPENDENCIES([CXX])])])dnl
AC_PROVIDE_IFELSE([AC_PROG_OBJC],
[_AM_DEPENDENCIES([OBJC])],
[m4_define([AC_PROG_OBJC],
m4_defn([AC_PROG_OBJC])[_AM_DEPENDENCIES([OBJC])])])dnl
AC_PROVIDE_IFELSE([AC_PROG_OBJCXX],
[_AM_DEPENDENCIES([OBJCXX])],
[m4_define([AC_PROG_OBJCXX],
m4_defn([AC_PROG_OBJCXX])[_AM_DEPENDENCIES([OBJCXX])])])dnl
])
AC_REQUIRE([AM_SILENT_RULES])dnl
dnl The testsuite driver may need to know about EXEEXT, so add the
dnl 'am__EXEEXT' conditional if _AM_COMPILER_EXEEXT was seen. This
dnl macro is hooked onto _AC_COMPILER_EXEEXT early, see below.
AC_CONFIG_COMMANDS_PRE(dnl
[m4_provide_if([_AM_COMPILER_EXEEXT],
[AM_CONDITIONAL([am__EXEEXT], [test -n "$EXEEXT"])])])dnl
# POSIX will say in a future version that running "rm -f" with no argument
# is OK; and we want to be able to make that assumption in our Makefile
# recipes. So use an aggressive probe to check that the usage we want is
# actually supported "in the wild" to an acceptable degree.
# See automake bug#10828.
# To make any issue more visible, cause the running configure to be aborted
# by default if the 'rm' program in use doesn't match our expectations; the
# user can still override this though.
if rm -f && rm -fr && rm -rf; then : OK; else
cat >&2 <<'END'
Oops!
Your 'rm' program seems unable to run without file operands specified
on the command line, even when the '-f' option is present. This is contrary
to the behaviour of most rm programs out there, and not conforming with
the upcoming POSIX standard:
Please tell bug-automake@gnu.org about your system, including the value
of your $PATH and any error possibly output before this message. This
can help us improve future automake versions.
END
if test x"$ACCEPT_INFERIOR_RM_PROGRAM" = x"yes"; then
echo 'Configuration will proceed anyway, since you have set the' >&2
echo 'ACCEPT_INFERIOR_RM_PROGRAM variable to "yes"' >&2
echo >&2
else
cat >&2 <<'END'
Aborting the configuration process, to ensure you take notice of the issue.
You can download and install GNU coreutils to get an 'rm' implementation
that behaves properly: .
If you want to complete the configuration process using your problematic
'rm' anyway, export the environment variable ACCEPT_INFERIOR_RM_PROGRAM
to "yes", and re-run configure.
END
AC_MSG_ERROR([Your 'rm' program is bad, sorry.])
fi
fi
dnl The trailing newline in this macro's definition is deliberate, for
dnl backward compatibility and to allow trailing 'dnl'-style comments
dnl after the AM_INIT_AUTOMAKE invocation. See automake bug#16841.
])
m4trace:/usr/share/aclocal-1.16/init.m4:186: -1- AC_DEFUN([_AC_AM_CONFIG_HEADER_HOOK], [# Compute $1's index in $config_headers.
_am_arg=$1
_am_stamp_count=1
for _am_header in $config_headers :; do
case $_am_header in
$_am_arg | $_am_arg:* )
break ;;
* )
_am_stamp_count=`expr $_am_stamp_count + 1` ;;
esac
done
echo "timestamp for $_am_arg" >`AS_DIRNAME(["$_am_arg"])`/stamp-h[]$_am_stamp_count])
m4trace:/usr/share/aclocal-1.16/install-sh.m4:11: -1- AC_DEFUN([AM_PROG_INSTALL_SH], [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
if test x"${install_sh+set}" != xset; then
case $am_aux_dir in
*\ * | *\ *)
install_sh="\${SHELL} '$am_aux_dir/install-sh'" ;;
*)
install_sh="\${SHELL} $am_aux_dir/install-sh"
esac
fi
AC_SUBST([install_sh])])
m4trace:/usr/share/aclocal-1.16/lead-dot.m4:10: -1- AC_DEFUN([AM_SET_LEADING_DOT], [rm -rf .tst 2>/dev/null
mkdir .tst 2>/dev/null
if test -d .tst; then
am__leading_dot=.
else
am__leading_dot=_
fi
rmdir .tst 2>/dev/null
AC_SUBST([am__leading_dot])])
m4trace:/usr/share/aclocal-1.16/maintainer.m4:16: -1- AC_DEFUN([AM_MAINTAINER_MODE], [m4_case(m4_default([$1], [disable]),
[enable], [m4_define([am_maintainer_other], [disable])],
[disable], [m4_define([am_maintainer_other], [enable])],
[m4_define([am_maintainer_other], [enable])
m4_warn([syntax], [unexpected argument to AM@&t@_MAINTAINER_MODE: $1])])
AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
dnl maintainer-mode's default is 'disable' unless 'enable' is passed
AC_ARG_ENABLE([maintainer-mode],
[AS_HELP_STRING([--]am_maintainer_other[-maintainer-mode],
am_maintainer_other[ make rules and dependencies not useful
(and sometimes confusing) to the casual installer])],
[USE_MAINTAINER_MODE=$enableval],
[USE_MAINTAINER_MODE=]m4_if(am_maintainer_other, [enable], [no], [yes]))
AC_MSG_RESULT([$USE_MAINTAINER_MODE])
AM_CONDITIONAL([MAINTAINER_MODE], [test $USE_MAINTAINER_MODE = yes])
MAINT=$MAINTAINER_MODE_TRUE
AC_SUBST([MAINT])dnl
])
m4trace:/usr/share/aclocal-1.16/make.m4:13: -1- AC_DEFUN([AM_MAKE_INCLUDE], [AC_MSG_CHECKING([whether ${MAKE-make} supports the include directive])
cat > confinc.mk << 'END'
am__doit:
@echo this is the am__doit target >confinc.out
.PHONY: am__doit
END
am__include="#"
am__quote=
# BSD make does it like this.
echo '.include "confinc.mk" # ignored' > confmf.BSD
# Other make implementations (GNU, Solaris 10, AIX) do it like this.
echo 'include confinc.mk # ignored' > confmf.GNU
_am_result=no
for s in GNU BSD; do
AM_RUN_LOG([${MAKE-make} -f confmf.$s && cat confinc.out])
AS_CASE([$?:`cat confinc.out 2>/dev/null`],
['0:this is the am__doit target'],
[AS_CASE([$s],
[BSD], [am__include='.include' am__quote='"'],
[am__include='include' am__quote=''])])
if test "$am__include" != "#"; then
_am_result="yes ($s style)"
break
fi
done
rm -f confinc.* confmf.*
AC_MSG_RESULT([${_am_result}])
AC_SUBST([am__include])])
m4trace:/usr/share/aclocal-1.16/make.m4:42: -1- m4_pattern_allow([^am__quote$])
m4trace:/usr/share/aclocal-1.16/missing.m4:11: -1- AC_DEFUN([AM_MISSING_PROG], [AC_REQUIRE([AM_MISSING_HAS_RUN])
$1=${$1-"${am_missing_run}$2"}
AC_SUBST($1)])
m4trace:/usr/share/aclocal-1.16/missing.m4:20: -1- AC_DEFUN([AM_MISSING_HAS_RUN], [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
AC_REQUIRE_AUX_FILE([missing])dnl
if test x"${MISSING+set}" != xset; then
case $am_aux_dir in
*\ * | *\ *)
MISSING="\${SHELL} \"$am_aux_dir/missing\"" ;;
*)
MISSING="\${SHELL} $am_aux_dir/missing" ;;
esac
fi
# Use eval to expand $SHELL
if eval "$MISSING --is-lightweight"; then
am_missing_run="$MISSING "
else
am_missing_run=
AC_MSG_WARN(['missing' script is too old or missing])
fi
])
m4trace:/usr/share/aclocal-1.16/options.m4:11: -1- AC_DEFUN([_AM_MANGLE_OPTION], [[_AM_OPTION_]m4_bpatsubst($1, [[^a-zA-Z0-9_]], [_])])
m4trace:/usr/share/aclocal-1.16/options.m4:17: -1- AC_DEFUN([_AM_SET_OPTION], [m4_define(_AM_MANGLE_OPTION([$1]), [1])])
m4trace:/usr/share/aclocal-1.16/options.m4:23: -1- AC_DEFUN([_AM_SET_OPTIONS], [m4_foreach_w([_AM_Option], [$1], [_AM_SET_OPTION(_AM_Option)])])
m4trace:/usr/share/aclocal-1.16/options.m4:29: -1- AC_DEFUN([_AM_IF_OPTION], [m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])])
m4trace:/usr/share/aclocal-1.16/prog-cc-c-o.m4:12: -1- AC_DEFUN([_AM_PROG_CC_C_O], [AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
AC_REQUIRE_AUX_FILE([compile])dnl
AC_LANG_PUSH([C])dnl
AC_CACHE_CHECK(
[whether $CC understands -c and -o together],
[am_cv_prog_cc_c_o],
[AC_LANG_CONFTEST([AC_LANG_PROGRAM([])])
# Make sure it works both with $CC and with simple cc.
# Following AC_PROG_CC_C_O, we do the test twice because some
# compilers refuse to overwrite an existing .o file with -o,
# though they will create one.
am_cv_prog_cc_c_o=yes
for am_i in 1 2; do
if AM_RUN_LOG([$CC -c conftest.$ac_ext -o conftest2.$ac_objext]) \
&& test -f conftest2.$ac_objext; then
: OK
else
am_cv_prog_cc_c_o=no
break
fi
done
rm -f core conftest*
unset am_i])
if test "$am_cv_prog_cc_c_o" != yes; then
# Losing compiler, so override with the script.
# FIXME: It is wrong to rewrite CC.
# But if we don't then we get into trouble of one sort or another.
# A longer-term fix would be to have automake use am__CC in this case,
# and then we could set am__CC="\$(top_srcdir)/compile \$(CC)"
CC="$am_aux_dir/compile $CC"
fi
AC_LANG_POP([C])])
m4trace:/usr/share/aclocal-1.16/prog-cc-c-o.m4:47: -1- AC_DEFUN_ONCE([AM_PROG_CC_C_O], [AC_REQUIRE([AC_PROG_CC])])
m4trace:/usr/share/aclocal-1.16/runlog.m4:12: -1- AC_DEFUN([AM_RUN_LOG], [{ echo "$as_me:$LINENO: $1" >&AS_MESSAGE_LOG_FD
($1) >&AS_MESSAGE_LOG_FD 2>&AS_MESSAGE_LOG_FD
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&AS_MESSAGE_LOG_FD
(exit $ac_status); }])
m4trace:/usr/share/aclocal-1.16/sanity.m4:11: -1- AC_DEFUN([AM_SANITY_CHECK], [AC_MSG_CHECKING([whether build environment is sane])
# Reject unsafe characters in $srcdir or the absolute working directory
# name. Accept space and tab only in the latter.
am_lf='
'
case `pwd` in
*[[\\\"\#\$\&\'\`$am_lf]]*)
AC_MSG_ERROR([unsafe absolute working directory name]);;
esac
case $srcdir in
*[[\\\"\#\$\&\'\`$am_lf\ \ ]]*)
AC_MSG_ERROR([unsafe srcdir value: '$srcdir']);;
esac
# Do 'set' in a subshell so we don't clobber the current shell's
# arguments. Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
am_has_slept=no
for am_try in 1 2; do
echo "timestamp, slept: $am_has_slept" > conftest.file
set X `ls -Lt "$srcdir/configure" conftest.file 2> /dev/null`
if test "$[*]" = "X"; then
# -L didn't work.
set X `ls -t "$srcdir/configure" conftest.file`
fi
if test "$[*]" != "X $srcdir/configure conftest.file" \
&& test "$[*]" != "X conftest.file $srcdir/configure"; then
# If neither matched, then we have a broken ls. This can happen
# if, for instance, CONFIG_SHELL is bash and it inherits a
# broken ls alias from the environment. This has actually
# happened. Such a system could not be considered "sane".
AC_MSG_ERROR([ls -t appears to fail. Make sure there is not a broken
alias in your environment])
fi
if test "$[2]" = conftest.file || test $am_try -eq 2; then
break
fi
# Just in case.
sleep 1
am_has_slept=yes
done
test "$[2]" = conftest.file
)
then
# Ok.
:
else
AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
AC_MSG_RESULT([yes])
# If we didn't sleep, we still need to ensure time stamps of config.status and
# generated files are strictly newer.
am_sleep_pid=
if grep 'slept: no' conftest.file >/dev/null 2>&1; then
( sleep 1 ) &
am_sleep_pid=$!
fi
AC_CONFIG_COMMANDS_PRE(
[AC_MSG_CHECKING([that generated files are newer than configure])
if test -n "$am_sleep_pid"; then
# Hide warnings about reused PIDs.
wait $am_sleep_pid 2>/dev/null
fi
AC_MSG_RESULT([done])])
rm -f conftest.file
])
m4trace:/usr/share/aclocal-1.16/silent.m4:12: -1- AC_DEFUN([AM_SILENT_RULES], [AC_ARG_ENABLE([silent-rules], [dnl
AS_HELP_STRING(
[--enable-silent-rules],
[less verbose build output (undo: "make V=1")])
AS_HELP_STRING(
[--disable-silent-rules],
[verbose build output (undo: "make V=0")])dnl
])
case $enable_silent_rules in @%:@ (((
yes) AM_DEFAULT_VERBOSITY=0;;
no) AM_DEFAULT_VERBOSITY=1;;
*) AM_DEFAULT_VERBOSITY=m4_if([$1], [yes], [0], [1]);;
esac
dnl
dnl A few 'make' implementations (e.g., NonStop OS and NextStep)
dnl do not support nested variable expansions.
dnl See automake bug#9928 and bug#10237.
am_make=${MAKE-make}
AC_CACHE_CHECK([whether $am_make supports nested variables],
[am_cv_make_support_nested_variables],
[if AS_ECHO([['TRUE=$(BAR$(V))
BAR0=false
BAR1=true
V=1
am__doit:
@$(TRUE)
.PHONY: am__doit']]) | $am_make -f - >/dev/null 2>&1; then
am_cv_make_support_nested_variables=yes
else
am_cv_make_support_nested_variables=no
fi])
if test $am_cv_make_support_nested_variables = yes; then
dnl Using '$V' instead of '$(V)' breaks IRIX make.
AM_V='$(V)'
AM_DEFAULT_V='$(AM_DEFAULT_VERBOSITY)'
else
AM_V=$AM_DEFAULT_VERBOSITY
AM_DEFAULT_V=$AM_DEFAULT_VERBOSITY
fi
AC_SUBST([AM_V])dnl
AM_SUBST_NOTMAKE([AM_V])dnl
AC_SUBST([AM_DEFAULT_V])dnl
AM_SUBST_NOTMAKE([AM_DEFAULT_V])dnl
AC_SUBST([AM_DEFAULT_VERBOSITY])dnl
AM_BACKSLASH='\'
AC_SUBST([AM_BACKSLASH])dnl
_AM_SUBST_NOTMAKE([AM_BACKSLASH])dnl
])
m4trace:/usr/share/aclocal-1.16/strip.m4:17: -1- AC_DEFUN([AM_PROG_INSTALL_STRIP], [AC_REQUIRE([AM_PROG_INSTALL_SH])dnl
# Installed binaries are usually stripped using 'strip' when the user
# run "make install-strip". However 'strip' might not be the right
# tool to use in cross-compilation environments, therefore Automake
# will honor the 'STRIP' environment variable to overrule this program.
dnl Don't test for $cross_compiling = yes, because it might be 'maybe'.
if test "$cross_compiling" != no; then
AC_CHECK_TOOL([STRIP], [strip], :)
fi
INSTALL_STRIP_PROGRAM="\$(install_sh) -c -s"
AC_SUBST([INSTALL_STRIP_PROGRAM])])
m4trace:/usr/share/aclocal-1.16/substnot.m4:12: -1- AC_DEFUN([_AM_SUBST_NOTMAKE])
m4trace:/usr/share/aclocal-1.16/substnot.m4:17: -1- AC_DEFUN([AM_SUBST_NOTMAKE], [_AM_SUBST_NOTMAKE($@)])
m4trace:/usr/share/aclocal-1.16/tar.m4:23: -1- AC_DEFUN([_AM_PROG_TAR], [# Always define AMTAR for backward compatibility. Yes, it's still used
# in the wild :-( We should find a proper way to deprecate it ...
AC_SUBST([AMTAR], ['$${TAR-tar}'])
# We'll loop over all known methods to create a tar archive until one works.
_am_tools='gnutar m4_if([$1], [ustar], [plaintar]) pax cpio none'
m4_if([$1], [v7],
[am__tar='$${TAR-tar} chof - "$$tardir"' am__untar='$${TAR-tar} xf -'],
[m4_case([$1],
[ustar],
[# The POSIX 1988 'ustar' format is defined with fixed-size fields.
# There is notably a 21 bits limit for the UID and the GID. In fact,
# the 'pax' utility can hang on bigger UID/GID (see automake bug#8343
# and bug#13588).
am_max_uid=2097151 # 2^21 - 1
am_max_gid=$am_max_uid
# The $UID and $GID variables are not portable, so we need to resort
# to the POSIX-mandated id(1) utility. Errors in the 'id' calls
# below are definitely unexpected, so allow the users to see them
# (that is, avoid stderr redirection).
am_uid=`id -u || echo unknown`
am_gid=`id -g || echo unknown`
AC_MSG_CHECKING([whether UID '$am_uid' is supported by ustar format])
if test $am_uid -le $am_max_uid; then
AC_MSG_RESULT([yes])
else
AC_MSG_RESULT([no])
_am_tools=none
fi
AC_MSG_CHECKING([whether GID '$am_gid' is supported by ustar format])
if test $am_gid -le $am_max_gid; then
AC_MSG_RESULT([yes])
else
AC_MSG_RESULT([no])
_am_tools=none
fi],
[pax],
[],
[m4_fatal([Unknown tar format])])
AC_MSG_CHECKING([how to create a $1 tar archive])
# Go ahead even if we have the value already cached. We do so because we
# need to set the values for the 'am__tar' and 'am__untar' variables.
_am_tools=${am_cv_prog_tar_$1-$_am_tools}
for _am_tool in $_am_tools; do
case $_am_tool in
gnutar)
for _am_tar in tar gnutar gtar; do
AM_RUN_LOG([$_am_tar --version]) && break
done
am__tar="$_am_tar --format=m4_if([$1], [pax], [posix], [$1]) -chf - "'"$$tardir"'
am__tar_="$_am_tar --format=m4_if([$1], [pax], [posix], [$1]) -chf - "'"$tardir"'
am__untar="$_am_tar -xf -"
;;
plaintar)
# Must skip GNU tar: if it does not support --format= it doesn't create
# ustar tarball either.
(tar --version) >/dev/null 2>&1 && continue
am__tar='tar chf - "$$tardir"'
am__tar_='tar chf - "$tardir"'
am__untar='tar xf -'
;;
pax)
am__tar='pax -L -x $1 -w "$$tardir"'
am__tar_='pax -L -x $1 -w "$tardir"'
am__untar='pax -r'
;;
cpio)
am__tar='find "$$tardir" -print | cpio -o -H $1 -L'
am__tar_='find "$tardir" -print | cpio -o -H $1 -L'
am__untar='cpio -i -H $1 -d'
;;
none)
am__tar=false
am__tar_=false
am__untar=false
;;
esac
# If the value was cached, stop now. We just wanted to have am__tar
# and am__untar set.
test -n "${am_cv_prog_tar_$1}" && break
# tar/untar a dummy directory, and stop if the command works.
rm -rf conftest.dir
mkdir conftest.dir
echo GrepMe > conftest.dir/file
AM_RUN_LOG([tardir=conftest.dir && eval $am__tar_ >conftest.tar])
rm -rf conftest.dir
if test -s conftest.tar; then
AM_RUN_LOG([$am__untar /dev/null 2>&1 && break
fi
done
rm -rf conftest.dir
AC_CACHE_VAL([am_cv_prog_tar_$1], [am_cv_prog_tar_$1=$_am_tool])
AC_MSG_RESULT([$am_cv_prog_tar_$1])])
AC_SUBST([am__tar])
AC_SUBST([am__untar])
])
m4trace:build/m4/ax_c___atomic.m4:5: -1- AC_DEFUN([AC_C___ATOMIC], [AC_CACHE_CHECK([for __atomic], ac_cv_c___atomic,
[AC_LINK_IFELSE(
[AC_LANG_SOURCE(
[[int
main (int argc, char **argv)
{
volatile unsigned long ul1 = 1, ul2 = 0, ul3 = 2;
__atomic_load_n(&ul1, __ATOMIC_SEQ_CST);
__atomic_compare_exchange(&ul1, &ul2, &ul3, 1, __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST);
__atomic_fetch_add(&ul1, 1, __ATOMIC_SEQ_CST);
__atomic_fetch_sub(&ul3, 1, __ATOMIC_SEQ_CST);
__atomic_or_fetch(&ul1, ul2, __ATOMIC_SEQ_CST);
__atomic_and_fetch(&ul1, ul2, __ATOMIC_SEQ_CST);
volatile unsigned long long ull1 = 1, ull2 = 0, ull3 = 2;
__atomic_load_n(&ull1, __ATOMIC_SEQ_CST);
__atomic_compare_exchange(&ull1, &ull2, &ull3, 1, __ATOMIC_SEQ_CST, __ATOMIC_SEQ_CST);
__atomic_fetch_add(&ull1, 1, __ATOMIC_SEQ_CST);
__atomic_fetch_sub(&ull3, 1, __ATOMIC_SEQ_CST);
__atomic_or_fetch(&ull1, ull2, __ATOMIC_SEQ_CST);
__atomic_and_fetch(&ull1, ull2, __ATOMIC_SEQ_CST);
return 0;
}
]])],
[ac_cv_c___atomic=yes],
[ac_cv_c___atomic=no])])
if test $ac_cv_c___atomic = yes; then
AC_DEFINE([HAVE_C___ATOMIC], 1,
[Define to 1 if __atomic operations work.])
fi
])
m4trace:build/m4/ax_c__generic.m4:6: -1- AC_DEFUN([AC_C__GENERIC], [AC_CACHE_CHECK([for _Generic], ac_cv_c__Generic,
[AC_COMPILE_IFELSE(
[AC_LANG_SOURCE(
[[int
main (int argc, char **argv)
{
int a = _Generic (argc, int: argc = 1);
int *b = &_Generic (argc, default: argc);
char ***c = _Generic (argv, int: argc, default: argv ? &argv : 0);
_Generic (1 ? 0 : b, int: a, default: b) = &argc;
_Generic (a = 1, default: a) = 3;
return a + !b + !c;
}
]])],
[ac_cv_c__Generic=yes],
[ac_cv_c__Generic=no])])
if test $ac_cv_c__Generic = yes; then
AC_DEFINE([HAVE_C__GENERIC], 1,
[Define to 1 if C11-style _Generic works.])
fi
])
m4trace:build/m4/ax_c_lto.m4:5: -1- AC_DEFUN([AC_C_LTO], [AC_CACHE_CHECK([if -flto builds executables], ac_cv_c_lto,
[AC_RUN_IFELSE(
[AC_LANG_SOURCE(
[[#include
int main(int argc, char **argv) {
return 0;
}
]])],
[ac_cv_c_lto=yes],
[ac_cv_c_lto=no],
[ac_cv_c_lto=${ac_cv_c_lto_cross_compile}])])
if test "${ac_cv_c_lto}" = "yes"; then
AC_DEFINE([HAVE_LTO], 1,
[Define to 1 if -flto works.])
fi
])
m4trace:build/m4/ax_c_mallinfo.m4:5: -1- AC_DEFUN([AC_C_MALLINFO], [AC_CACHE_CHECK([for mallinfo], ac_cv_c_mallinfo,
[AC_LINK_IFELSE(
[AC_LANG_PROGRAM(
[[#include ]],
[[
struct mallinfo mi = mallinfo();
/* make sure that fields exists */
mi.uordblks = 0;
mi.hblkhd = 0;
mi.arena = 0;
]]
)],
[ac_cv_c_mallinfo=yes],
[ac_cv_c_mallinfo=no])])
if test $ac_cv_c_mallinfo = yes; then
AC_DEFINE([HAVE_C_MALLINFO], 1,
[Define to 1 if glibc mallinfo exists.])
fi
])
m4trace:build/m4/ax_c_mallopt.m4:5: -1- AC_DEFUN([AC_C_MALLOPT], [AC_CACHE_CHECK([for mallopt], ac_cv_c_mallopt,
[AC_LINK_IFELSE(
[AC_LANG_SOURCE(
[[#include
int main(int argc, char **argv) {
mallopt(M_ARENA_MAX, 1);
}
]])],
[ac_cv_c_mallopt=yes],
[ac_cv_c_mallopt=no])])
if test $ac_cv_c_mallopt = yes; then
AC_DEFINE([HAVE_C_MALLOPT], 1,
[Define to 1 if glibc mallopt exists.])
fi
])
m4trace:build/m4/ax_check_compile_flag.m4:36: -1- AC_DEFUN([AX_CHECK_COMPILE_FLAG], [AC_PREREQ(2.59)dnl for _AC_LANG_PREFIX
AS_VAR_PUSHDEF([CACHEVAR],[ax_cv_check_[]_AC_LANG_ABBREV[]flags_$4_$1])dnl
AC_CACHE_CHECK([whether _AC_LANG compiler accepts $1], CACHEVAR, [
ax_check_save_flags=$[]_AC_LANG_PREFIX[]FLAGS
_AC_LANG_PREFIX[]FLAGS="$[]_AC_LANG_PREFIX[]FLAGS $4 $1"
AC_COMPILE_IFELSE([m4_default([$5],[AC_LANG_PROGRAM()])],
[AS_VAR_SET(CACHEVAR,[yes])],
[AS_VAR_SET(CACHEVAR,[no])])
_AC_LANG_PREFIX[]FLAGS=$ax_check_save_flags])
AS_IF([test x"AS_VAR_GET(CACHEVAR)" = xyes],
[m4_default([$2], :)],
[m4_default([$3], :)])
AS_VAR_POPDEF([CACHEVAR])dnl
])
m4trace:build/m4/ax_gcc_func_attribute.m4:76: -1- AC_DEFUN([AX_GCC_FUNC_ATTRIBUTE], [
AS_VAR_PUSHDEF([ac_var], [ax_cv_have_func_attribute_$1])
AC_CACHE_CHECK([for __attribute__(($1))], [ac_var], [
AC_LINK_IFELSE([AC_LANG_PROGRAM([
m4_case([$1],
[alias], [
int foo( void ) { return 0; }
int bar( void ) __attribute__(($1("foo")));
],
[aligned], [
int foo( void ) __attribute__(($1(32)));
],
[alloc_size], [
void *foo(int a) __attribute__(($1(1)));
],
[always_inline], [
inline __attribute__(($1)) int foo( void ) { return 0; }
],
[artificial], [
inline __attribute__(($1)) int foo( void ) { return 0; }
],
[cold], [
int foo( void ) __attribute__(($1));
],
[const], [
int foo( void ) __attribute__(($1));
],
[constructor_priority], [
int foo( void ) __attribute__((__constructor__(65535/2)));
],
[constructor], [
int foo( void ) __attribute__(($1));
],
[deprecated], [
int foo( void ) __attribute__(($1("")));
],
[destructor], [
int foo( void ) __attribute__(($1));
],
[dllexport], [
__attribute__(($1)) int foo( void ) { return 0; }
],
[dllimport], [
int foo( void ) __attribute__(($1));
],
[error], [
int foo( void ) __attribute__(($1("")));
],
[externally_visible], [
int foo( void ) __attribute__(($1));
],
[flatten], [
int foo( void ) __attribute__(($1));
],
[format], [
int foo(const char *p, ...) __attribute__(($1(printf, 1, 2)));
],
[format_arg], [
char *foo(const char *p) __attribute__(($1(1)));
],
[gnu_inline], [
inline __attribute__(($1)) int foo( void ) { return 0; }
],
[hot], [
int foo( void ) __attribute__(($1));
],
[ifunc], [
int my_foo( void ) { return 0; }
static int (*resolve_foo(void))(void) { return my_foo; }
int foo( void ) __attribute__(($1("resolve_foo")));
],
[leaf], [
__attribute__(($1)) int foo( void ) { return 0; }
],
[malloc], [
void *foo( void ) __attribute__(($1));
],
[noclone], [
int foo( void ) __attribute__(($1));
],
[noinline], [
__attribute__(($1)) int foo( void ) { return 0; }
],
[nonnull], [
int foo(char *p) __attribute__(($1(1)));
],
[noreturn], [
void foo( void ) __attribute__(($1));
],
[nothrow], [
int foo( void ) __attribute__(($1));
],
[optimize], [
__attribute__(($1(3))) int foo( void ) { return 0; }
],
[pure], [
int foo( void ) __attribute__(($1));
],
[returns_nonnull], [
void *foo( void ) __attribute__(($1));
],
[unused], [
int foo( void ) __attribute__(($1));
],
[used], [
int foo( void ) __attribute__(($1));
],
[visibility], [
int foo_def( void ) __attribute__(($1("default")));
int foo_hid( void ) __attribute__(($1("hidden")));
int foo_int( void ) __attribute__(($1("internal")));
int foo_pro( void ) __attribute__(($1("protected")));
],
[warning], [
int foo( void ) __attribute__(($1("")));
],
[warn_unused_result], [
int foo( void ) __attribute__(($1));
],
[weak], [
int foo( void ) __attribute__(($1));
],
[weakref], [
static int foo( void ) { return 0; }
static int bar( void ) __attribute__(($1("foo")));
],
[
m4_warn([syntax], [Unsupported attribute $1, the test may fail])
int foo( void ) __attribute__(($1));
]
)], [])
],
dnl GCC doesn't exit with an error if an unknown attribute is
dnl provided but only outputs a warning, so accept the attribute
dnl only if no warning were issued.
[AS_IF([test -s conftest.err],
[AS_VAR_SET([ac_var], [no])],
[AS_VAR_SET([ac_var], [yes])])],
[AS_VAR_SET([ac_var], [no])])
])
AS_IF([test yes = AS_VAR_GET([ac_var])],
[AC_DEFINE_UNQUOTED(AS_TR_CPP(HAVE_FUNC_ATTRIBUTE_$1), 1,
[Define to 1 if the system has the `$1' function attribute])], [])
AS_VAR_POPDEF([ac_var])
])
m4trace:build/m4/ax_pthread.m4:63: -1- AU_DEFUN([ACX_PTHREAD], [m4_if($#, 0, [AX_PTHREAD], [AX_PTHREAD($@)])])
m4trace:build/m4/ax_pthread.m4:63: -1- AC_DEFUN([ACX_PTHREAD], [AC_DIAGNOSE([obsolete], [The macro `ACX_PTHREAD' is obsolete.
You should run autoupdate.])dnl
m4_if($#, 0, [AX_PTHREAD], [AX_PTHREAD($@)])])
m4trace:build/m4/ax_pthread.m4:64: -1- AC_DEFUN([AX_PTHREAD], [
AC_REQUIRE([AC_CANONICAL_HOST])
AC_LANG_PUSH([C])
ax_pthread_ok=no
# We used to check for pthread.h first, but this fails if pthread.h
# requires special compiler flags (e.g. on True64 or Sequent).
# It gets checked for in the link test anyway.
# First of all, check if the user has set any of the PTHREAD_LIBS,
# etcetera environment variables, and if threads linking works using
# them:
if test x"$PTHREAD_LIBS$PTHREAD_CFLAGS" != x; then
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
save_LIBS="$LIBS"
LIBS="$PTHREAD_LIBS $LIBS"
AC_MSG_CHECKING([for pthread_join in LIBS=$PTHREAD_LIBS with CFLAGS=$PTHREAD_CFLAGS])
AC_TRY_LINK_FUNC([pthread_join], [ax_pthread_ok=yes])
AC_MSG_RESULT([$ax_pthread_ok])
if test x"$ax_pthread_ok" = xno; then
PTHREAD_LIBS=""
PTHREAD_CFLAGS=""
fi
LIBS="$save_LIBS"
CFLAGS="$save_CFLAGS"
fi
# We must check for the threads library under a number of different
# names; the ordering is very important because some systems
# (e.g. DEC) have both -lpthread and -lpthreads, where one of the
# libraries is broken (non-POSIX).
# Create a list of thread flags to try. Items starting with a "-" are
# C compiler flags, and other items are library names, except for "none"
# which indicates that we try without any flags at all, and "pthread-config"
# which is a program returning the flags for the Pth emulation library.
ax_pthread_flags="pthreads none -Kthread -kthread lthread -pthread -pthreads -mthreads pthread --thread-safe -mt pthread-config"
# The ordering *is* (sometimes) important. Some notes on the
# individual items follow:
# pthreads: AIX (must check this before -lpthread)
# none: in case threads are in libc; should be tried before -Kthread and
# other compiler flags to prevent continual compiler warnings
# -Kthread: Sequent (threads in libc, but -Kthread needed for pthread.h)
# -kthread: FreeBSD kernel threads (preferred to -pthread since SMP-able)
# lthread: LinuxThreads port on FreeBSD (also preferred to -pthread)
# -pthread: Linux/gcc (kernel threads), BSD/gcc (userland threads)
# -pthreads: Solaris/gcc
# -mthreads: Mingw32/gcc, Lynx/gcc
# -mt: Sun Workshop C (may only link SunOS threads [-lthread], but it
# doesn't hurt to check since this sometimes defines pthreads too;
# also defines -D_REENTRANT)
# ... -mt is also the pthreads flag for HP/aCC
# pthread: Linux, etcetera
# --thread-safe: KAI C++
# pthread-config: use pthread-config program (for GNU Pth library)
case ${host_os} in
solaris*)
# On Solaris (at least, for some versions), libc contains stubbed
# (non-functional) versions of the pthreads routines, so link-based
# tests will erroneously succeed. (We need to link with -pthreads/-mt/
# -lpthread.) (The stubs are missing pthread_cleanup_push, or rather
# a function called by this macro, so we could check for that, but
# who knows whether they'll stub that too in a future libc.) So,
# we'll just look for -pthreads and -lpthread first:
ax_pthread_flags="-pthreads pthread -mt -pthread $ax_pthread_flags"
;;
darwin*)
ax_pthread_flags="-pthread $ax_pthread_flags"
;;
esac
# Clang doesn't consider unrecognized options an error unless we specify
# -Werror. We throw in some extra Clang-specific options to ensure that
# this doesn't happen for GCC, which also accepts -Werror.
AC_MSG_CHECKING([if compiler needs -Werror to reject unknown flags])
save_CFLAGS="$CFLAGS"
ax_pthread_extra_flags="-Werror"
CFLAGS="$CFLAGS $ax_pthread_extra_flags -Wunknown-warning-option -Wsizeof-array-argument"
AC_COMPILE_IFELSE([AC_LANG_PROGRAM([int foo(void);],[foo()])],
[AC_MSG_RESULT([yes])],
[ax_pthread_extra_flags=
AC_MSG_RESULT([no])])
CFLAGS="$save_CFLAGS"
if test x"$ax_pthread_ok" = xno; then
for flag in $ax_pthread_flags; do
case $flag in
none)
AC_MSG_CHECKING([whether pthreads work without any flags])
;;
-*)
AC_MSG_CHECKING([whether pthreads work with $flag])
PTHREAD_CFLAGS="$flag"
;;
pthread-config)
AC_CHECK_PROG([ax_pthread_config], [pthread-config], [yes], [no])
if test x"$ax_pthread_config" = xno; then continue; fi
PTHREAD_CFLAGS="`pthread-config --cflags`"
PTHREAD_LIBS="`pthread-config --ldflags` `pthread-config --libs`"
;;
*)
AC_MSG_CHECKING([for the pthreads library -l$flag])
PTHREAD_LIBS="-l$flag"
;;
esac
save_LIBS="$LIBS"
save_CFLAGS="$CFLAGS"
LIBS="$PTHREAD_LIBS $LIBS"
CFLAGS="$CFLAGS $PTHREAD_CFLAGS $ax_pthread_extra_flags"
# Check for various functions. We must include pthread.h,
# since some functions may be macros. (On the Sequent, we
# need a special flag -Kthread to make this header compile.)
# We check for pthread_join because it is in -lpthread on IRIX
# while pthread_create is in libc. We check for pthread_attr_init
# due to DEC craziness with -lpthreads. We check for
# pthread_cleanup_push because it is one of the few pthread
# functions on Solaris that doesn't have a non-functional libc stub.
# We try pthread_create on general principles.
AC_LINK_IFELSE([AC_LANG_PROGRAM([#include
static void routine(void *a) { a = 0; }
static void *start_routine(void *a) { return a; }],
[pthread_t th; pthread_attr_t attr;
pthread_create(&th, 0, start_routine, 0);
pthread_join(th, 0);
pthread_attr_init(&attr);
pthread_cleanup_push(routine, 0);
pthread_cleanup_pop(0) /* ; */])],
[ax_pthread_ok=yes],
[])
LIBS="$save_LIBS"
CFLAGS="$save_CFLAGS"
AC_MSG_RESULT([$ax_pthread_ok])
if test "x$ax_pthread_ok" = xyes; then
break;
fi
PTHREAD_LIBS=""
PTHREAD_CFLAGS=""
done
fi
# Various other checks:
if test "x$ax_pthread_ok" = xyes; then
save_LIBS="$LIBS"
LIBS="$PTHREAD_LIBS $LIBS"
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $PTHREAD_CFLAGS"
# Detect AIX lossage: JOINABLE attribute is called UNDETACHED.
AC_MSG_CHECKING([for joinable pthread attribute])
attr_name=unknown
for attr in PTHREAD_CREATE_JOINABLE PTHREAD_CREATE_UNDETACHED; do
AC_LINK_IFELSE([AC_LANG_PROGRAM([#include ],
[int attr = $attr; return attr /* ; */])],
[attr_name=$attr; break],
[])
done
AC_MSG_RESULT([$attr_name])
if test "$attr_name" != PTHREAD_CREATE_JOINABLE; then
AC_DEFINE_UNQUOTED([PTHREAD_CREATE_JOINABLE], [$attr_name],
[Define to necessary symbol if this constant
uses a non-standard name on your system.])
fi
AC_MSG_CHECKING([if more special flags are required for pthreads])
flag=no
case ${host_os} in
aix* | freebsd* | darwin*) flag="-D_THREAD_SAFE";;
osf* | hpux*) flag="-D_REENTRANT";;
solaris*)
if test "$GCC" = "yes"; then
flag="-D_REENTRANT"
else
# TODO: What about Clang on Solaris?
flag="-mt -D_REENTRANT"
fi
;;
esac
AC_MSG_RESULT([$flag])
if test "x$flag" != xno; then
PTHREAD_CFLAGS="$flag $PTHREAD_CFLAGS"
fi
AC_CACHE_CHECK([for PTHREAD_PRIO_INHERIT],
[ax_cv_PTHREAD_PRIO_INHERIT], [
AC_LINK_IFELSE([AC_LANG_PROGRAM([[#include ]],
[[int i = PTHREAD_PRIO_INHERIT;]])],
[ax_cv_PTHREAD_PRIO_INHERIT=yes],
[ax_cv_PTHREAD_PRIO_INHERIT=no])
])
AS_IF([test "x$ax_cv_PTHREAD_PRIO_INHERIT" = "xyes"],
[AC_DEFINE([HAVE_PTHREAD_PRIO_INHERIT], [1], [Have PTHREAD_PRIO_INHERIT.])])
LIBS="$save_LIBS"
CFLAGS="$save_CFLAGS"
# More AIX lossage: compile with *_r variant
if test "x$GCC" != xyes; then
case $host_os in
aix*)
AS_CASE(["x/$CC"],
[x*/c89|x*/c89_128|x*/c99|x*/c99_128|x*/cc|x*/cc128|x*/xlc|x*/xlc_v6|x*/xlc128|x*/xlc128_v6],
[#handle absolute path differently from PATH based program lookup
AS_CASE(["x$CC"],
[x/*],
[AS_IF([AS_EXECUTABLE_P([${CC}_r])],[PTHREAD_CC="${CC}_r"])],
[AC_CHECK_PROGS([PTHREAD_CC],[${CC}_r],[$CC])])])
;;
esac
fi
fi
test -n "$PTHREAD_CC" || PTHREAD_CC="$CC"
AC_SUBST([PTHREAD_LIBS])
AC_SUBST([PTHREAD_CFLAGS])
AC_SUBST([PTHREAD_CC])
# Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
if test x"$ax_pthread_ok" = xyes; then
ifelse([$1],,[AC_DEFINE([HAVE_PTHREAD],[1],[Define if you have POSIX threads libraries and header files.])],[$1])
:
else
ax_pthread_ok=no
$2
fi
AC_LANG_POP
])
m4trace:build/m4/jemalloc.m4:9: -1- AC_DEFUN([TS_CHECK_JEMALLOC], [
AC_ARG_WITH([jemalloc-prefix],
[AS_HELP_STRING([--with-jemalloc-prefix=PREFIX],[Specify the jemalloc prefix [default=""]])],
[
jemalloc_prefix="$withval"
],[
if test "`uname -s`" = "Darwin"; then
jemalloc_prefix="je_"
else
jemalloc_prefix=""
fi
]
)
AC_DEFINE_UNQUOTED([prefix_jemalloc], [${jemalloc_prefix}], [jemalloc prefix])
enable_jemalloc=no
AC_ARG_WITH([jemalloc], [AS_HELP_STRING([--with-jemalloc=DIR], [use a specific jemalloc library])],
[
if test "$withval" != "no"; then
if test "x${enable_tcmalloc}" = "xyes"; then
AC_MSG_ERROR([Cannot compile with both jemalloc and tcmalloc])
fi
enable_jemalloc=yes
jemalloc_base_dir="$withval"
case "$withval" in
yes)
jemalloc_base_dir="/usr"
AC_MSG_CHECKING(checking for jemalloc includes standard directories)
;;
*":"*)
jemalloc_include="`echo $withval |sed -e 's/:.*$//'`"
jemalloc_ldflags="`echo $withval |sed -e 's/^.*://'`"
AC_MSG_CHECKING(checking for jemalloc includes in $jemalloc_include libs in $jemalloc_ldflags)
;;
*)
jemalloc_include="$withval/include"
jemalloc_ldflags="$withval/lib"
AC_MSG_CHECKING(checking for jemalloc includes in $withval)
;;
esac
fi
])
has_jemalloc=0
if test "$enable_jemalloc" != "no"; then
jemalloc_have_headers=0
jemalloc_have_libs=0
if test "$jemalloc_base_dir" != "/usr"; then
CFLAGS="${CFLAGS} -I${jemalloc_include}"
LDFLAGS="${LDFLAGS} -L${jemalloc_ldflags}"
LIBTOOL_LINK_FLAGS="${LIBTOOL_LINK_FLAGS} -R${jemalloc_ldflags}"
fi
func="${jemalloc_prefix}malloc_stats_print"
AC_CHECK_LIB(jemalloc, ${func}, [jemalloc_have_libs=1])
if test "$jemalloc_have_libs" != "0"; then
AC_CHECK_HEADERS([jemalloc/jemalloc.h], [jemalloc_have_headers=1])
fi
if test "$jemalloc_have_headers" != "0"; then
has_jemalloc=1
LIBS="${LIBS} -ljemalloc"
AC_DEFINE(has_jemalloc, [1], [Link/compile against jemalloc])
else
AC_MSG_ERROR([Couldn't find a jemalloc installation])
fi
fi
AC_SUBST(has_jemalloc)
])
m4trace:build/m4/tcmalloc.m4:11: -1- AC_DEFUN([TS_CHECK_TCMALLOC], [
AC_ARG_WITH([tcmalloc-lib],
[AS_HELP_STRING([--with-tcmalloc-lib],[specify the tcmalloc library to use [default=tcmalloc]])],
[
with_tcmalloc_lib="$withval"
],[
with_tcmalloc_lib="tcmalloc"
]
)
has_tcmalloc=0
AC_ARG_WITH([tcmalloc], [AS_HELP_STRING([--with-tcmalloc=DIR], [use the tcmalloc library])],
[
if test "$withval" != "no"; then
if test "x${enable_jemalloc}" = "xyes"; then
AC_MSG_ERROR([Cannot compile with both tcmalloc and jemalloc])
fi
tcmalloc_have_lib=0
if test "x$withval" != "xyes" && test "x$withval" != "x"; then
tcmalloc_ldflags="$withval/lib"
LDFLAGS="${LDFLAGS} -L${tcmalloc_ldflags}"
LIBTOOL_LINK_FLAGS="${LIBTOOL_LINK_FLAGS} -rpath ${tcmalloc_ldflags}"
fi
AC_CHECK_LIB(${with_tcmalloc_lib}, tc_cfree, [tcmalloc_have_lib=1])
if test "$tcmalloc_have_lib" != "0"; then
LIBS="${LIBS} -l${with_tcmalloc_lib}"
has_tcmalloc=1
AC_DEFINE(has_tcmalloc, [1], [Link/compile against tcmalloc])
else
AC_MSG_ERROR([Couldn't find a tcmalloc installation])
fi
fi
])
AC_SUBST(has_tcmalloc)
])
m4trace:configure.ac:12: -1- m4_pattern_forbid([^_?A[CHUM]_])
m4trace:configure.ac:12: -1- m4_pattern_forbid([_AC_])
m4trace:configure.ac:12: -1- m4_pattern_forbid([^LIBOBJS$], [do not use LIBOBJS directly, use AC_LIBOBJ (see section `AC_LIBOBJ vs LIBOBJS'])
m4trace:configure.ac:12: -1- m4_pattern_allow([^AS_FLAGS$])
m4trace:configure.ac:12: -1- m4_pattern_forbid([^_?m4_])
m4trace:configure.ac:12: -1- m4_pattern_forbid([^dnl$])
m4trace:configure.ac:12: -1- m4_pattern_forbid([^_?AS_])
m4trace:configure.ac:12: -1- m4_pattern_allow([^SHELL$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PATH_SEPARATOR$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_NAME$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_TARNAME$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_VERSION$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_STRING$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_BUGREPORT$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_URL$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^exec_prefix$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^prefix$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^program_transform_name$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^bindir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^sbindir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^libexecdir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^datarootdir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^datadir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^sysconfdir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^sharedstatedir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^localstatedir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^runstatedir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^includedir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^oldincludedir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^docdir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^infodir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^htmldir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^dvidir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^pdfdir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^psdir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^libdir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^localedir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^mandir$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_NAME$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_TARNAME$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_VERSION$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_STRING$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_BUGREPORT$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^PACKAGE_URL$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^DEFS$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^ECHO_C$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^ECHO_N$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^ECHO_T$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^LIBS$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^build_alias$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^host_alias$])
m4trace:configure.ac:12: -1- m4_pattern_allow([^target_alias$])
m4trace:configure.ac:14: -1- AM_MAINTAINER_MODE([disable])
m4trace:configure.ac:14: -1- AM_CONDITIONAL([MAINTAINER_MODE], [test $USE_MAINTAINER_MODE = yes])
m4trace:configure.ac:14: -1- m4_pattern_allow([^MAINTAINER_MODE_TRUE$])
m4trace:configure.ac:14: -1- m4_pattern_allow([^MAINTAINER_MODE_FALSE$])
m4trace:configure.ac:14: -1- _AM_SUBST_NOTMAKE([MAINTAINER_MODE_TRUE])
m4trace:configure.ac:14: -1- _AM_SUBST_NOTMAKE([MAINTAINER_MODE_FALSE])
m4trace:configure.ac:14: -1- m4_pattern_allow([^MAINT$])
m4trace:configure.ac:20: -1- m4_pattern_allow([^PACKAGE_RPM_VERSION$])
m4trace:configure.ac:27: -1- AC_CONFIG_MACRO_DIR([build/m4])
m4trace:configure.ac:33: -1- AM_INIT_AUTOMAKE([tar-pax silent-rules subdir-objects])
m4trace:configure.ac:33: -1- m4_pattern_allow([^AM_[A-Z]+FLAGS$])
m4trace:configure.ac:33: -1- AM_SET_CURRENT_AUTOMAKE_VERSION
m4trace:configure.ac:33: -1- AM_AUTOMAKE_VERSION([1.16.1])
m4trace:configure.ac:33: -1- _AM_AUTOCONF_VERSION([2.69])
m4trace:configure.ac:33: -1- m4_pattern_allow([^INSTALL_PROGRAM$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^INSTALL_SCRIPT$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^INSTALL_DATA$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^am__isrc$])
m4trace:configure.ac:33: -1- _AM_SUBST_NOTMAKE([am__isrc])
m4trace:configure.ac:33: -1- m4_pattern_allow([^CYGPATH_W$])
m4trace:configure.ac:33: -1- _AM_SET_OPTIONS([tar-pax silent-rules subdir-objects])
m4trace:configure.ac:33: -1- _AM_SET_OPTION([tar-pax])
m4trace:configure.ac:33: -2- _AM_MANGLE_OPTION([tar-pax])
m4trace:configure.ac:33: -1- _AM_SET_OPTION([silent-rules])
m4trace:configure.ac:33: -2- _AM_MANGLE_OPTION([silent-rules])
m4trace:configure.ac:33: -1- _AM_SET_OPTION([subdir-objects])
m4trace:configure.ac:33: -2- _AM_MANGLE_OPTION([subdir-objects])
m4trace:configure.ac:33: -1- m4_pattern_allow([^PACKAGE$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^VERSION$])
m4trace:configure.ac:33: -1- _AM_IF_OPTION([no-define], [], [AC_DEFINE_UNQUOTED([PACKAGE], ["$PACKAGE"], [Name of package])
AC_DEFINE_UNQUOTED([VERSION], ["$VERSION"], [Version number of package])])
m4trace:configure.ac:33: -2- _AM_MANGLE_OPTION([no-define])
m4trace:configure.ac:33: -1- m4_pattern_allow([^PACKAGE$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^VERSION$])
m4trace:configure.ac:33: -1- AM_SANITY_CHECK
m4trace:configure.ac:33: -1- AM_MISSING_PROG([ACLOCAL], [aclocal-${am__api_version}])
m4trace:configure.ac:33: -1- AM_MISSING_HAS_RUN
m4trace:configure.ac:33: -1- AM_AUX_DIR_EXPAND
m4trace:configure.ac:33: -1- m4_pattern_allow([^ACLOCAL$])
m4trace:configure.ac:33: -1- AM_MISSING_PROG([AUTOCONF], [autoconf])
m4trace:configure.ac:33: -1- m4_pattern_allow([^AUTOCONF$])
m4trace:configure.ac:33: -1- AM_MISSING_PROG([AUTOMAKE], [automake-${am__api_version}])
m4trace:configure.ac:33: -1- m4_pattern_allow([^AUTOMAKE$])
m4trace:configure.ac:33: -1- AM_MISSING_PROG([AUTOHEADER], [autoheader])
m4trace:configure.ac:33: -1- m4_pattern_allow([^AUTOHEADER$])
m4trace:configure.ac:33: -1- AM_MISSING_PROG([MAKEINFO], [makeinfo])
m4trace:configure.ac:33: -1- m4_pattern_allow([^MAKEINFO$])
m4trace:configure.ac:33: -1- AM_PROG_INSTALL_SH
m4trace:configure.ac:33: -1- m4_pattern_allow([^install_sh$])
m4trace:configure.ac:33: -1- AM_PROG_INSTALL_STRIP
m4trace:configure.ac:33: -1- m4_pattern_allow([^STRIP$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^INSTALL_STRIP_PROGRAM$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^MKDIR_P$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^mkdir_p$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^AWK$])
m4trace:configure.ac:33: -1- m4_pattern_allow([^SET_MAKE$])
m4trace:configure.ac:33: -1- AM_SET_LEADING_DOT
m4trace:configure.ac:33: -1- m4_pattern_allow([^am__leading_dot$])
m4trace:configure.ac:33: -1- _AM_IF_OPTION([tar-ustar], [_AM_PROG_TAR([ustar])], [_AM_IF_OPTION([tar-pax], [_AM_PROG_TAR([pax])],
[_AM_PROG_TAR([v7])])])
m4trace:configure.ac:33: -2- _AM_MANGLE_OPTION([tar-ustar])
m4trace:configure.ac:33: -1- _AM_IF_OPTION([tar-pax], [_AM_PROG_TAR([pax])], [_AM_PROG_TAR([v7])])
m4trace:configure.ac:33: -2- _AM_MANGLE_OPTION([tar-pax])
m4trace:configure.ac:33: -1- _AM_PROG_TAR([pax])
m4trace:configure.ac:33: -1- m4_pattern_allow([^AMTAR$])
m4trace:configure.ac:33: -1- AM_RUN_LOG([$_am_tar --version])
m4trace:configure.ac:33: -1- AM_RUN_LOG([tardir=conftest.dir && eval $am__tar_ >conftest.tar])
m4trace:configure.ac:33: -1- AM_RUN_LOG([$am__untar /dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:387: -1- PKG_CHECK_EXISTS([zlib], [pkg_cv_[]ZLIB_LIBS=`$PKG_CONFIG --[]libs "zlib" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:387: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:398: -1- m4_pattern_allow([^NETDATA_WITH_ZLIB$])
m4trace:configure.ac:410: -1- PKG_CHECK_MODULES([UUID], [uuid], [have_uuid=yes], [AC_MSG_ERROR([libuuid required but not found. Try installing 'uuid-dev' or 'libuuid-devel'.])
])
m4trace:configure.ac:410: -1- m4_pattern_allow([^UUID_CFLAGS$])
m4trace:configure.ac:410: -1- m4_pattern_allow([^UUID_LIBS$])
m4trace:configure.ac:410: -1- PKG_CHECK_EXISTS([uuid], [pkg_cv_[]UUID_CFLAGS=`$PKG_CONFIG --[]cflags "uuid" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:410: -1- PKG_CHECK_EXISTS([uuid], [pkg_cv_[]UUID_LIBS=`$PKG_CONFIG --[]libs "uuid" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:410: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:416: -1- m4_pattern_allow([^NETDATA_WITH_UUID$])
m4trace:configure.ac:437: -1- m4_pattern_allow([^HAVE_CRYPTO$])
m4trace:configure.ac:440: -1- m4_pattern_allow([^HAVE_X509_VERIFY_PARAM_set1_host$])
m4trace:configure.ac:443: -1- m4_pattern_allow([^HAVE_X509_VERIFY_PARAM_set1_host$])
m4trace:configure.ac:449: -1- PKG_CHECK_MODULES([JSON], [json-c], [{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for json_object_get_type in -ljson-c" >&5
$as_echo_n "checking for json_object_get_type in -ljson-c... " >&6; }
if ${ac_cv_lib_json_c_json_object_get_type+:} false; then :
$as_echo_n "(cached) " >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ljson-c $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char json_object_get_type ();
int
main ()
{
return json_object_get_type ();
;
return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
ac_cv_lib_json_c_json_object_get_type=yes
else
ac_cv_lib_json_c_json_object_get_type=no
fi
rm -f core conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_json_c_json_object_get_type" >&5
$as_echo "$ac_cv_lib_json_c_json_object_get_type" >&6; }
if test "x$ac_cv_lib_json_c_json_object_get_type" = xyes; then :
JSONC_LIBS="-ljson-c"
fi
], [{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for json_object_get_type in -ljson" >&5
$as_echo_n "checking for json_object_get_type in -ljson... " >&6; }
if ${ac_cv_lib_json_json_object_get_type+:} false; then :
$as_echo_n "(cached) " >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ljson $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char json_object_get_type ();
int
main ()
{
return json_object_get_type ();
;
return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
ac_cv_lib_json_json_object_get_type=yes
else
ac_cv_lib_json_json_object_get_type=no
fi
rm -f core conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_json_json_object_get_type" >&5
$as_echo "$ac_cv_lib_json_json_object_get_type" >&6; }
if test "x$ac_cv_lib_json_json_object_get_type" = xyes; then :
JSONC_LIBS="-ljson"
fi
])
m4trace:configure.ac:449: -1- m4_pattern_allow([^JSON_CFLAGS$])
m4trace:configure.ac:449: -1- m4_pattern_allow([^JSON_LIBS$])
m4trace:configure.ac:449: -1- PKG_CHECK_EXISTS([json-c], [pkg_cv_[]JSON_CFLAGS=`$PKG_CONFIG --[]cflags "json-c" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:449: -1- PKG_CHECK_EXISTS([json-c], [pkg_cv_[]JSON_LIBS=`$PKG_CONFIG --[]libs "json-c" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:449: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:514: -1- m4_pattern_allow([^ENABLE_DBENGINE$])
m4trace:configure.ac:525: -1- AM_CONDITIONAL([ENABLE_DBENGINE], [test "${enable_dbengine}" = "yes"])
m4trace:configure.ac:525: -1- m4_pattern_allow([^ENABLE_DBENGINE_TRUE$])
m4trace:configure.ac:525: -1- m4_pattern_allow([^ENABLE_DBENGINE_FALSE$])
m4trace:configure.ac:525: -1- _AM_SUBST_NOTMAKE([ENABLE_DBENGINE_TRUE])
m4trace:configure.ac:525: -1- _AM_SUBST_NOTMAKE([ENABLE_DBENGINE_FALSE])
m4trace:configure.ac:530: -1- m4_pattern_allow([^ENABLE_HTTPS$])
m4trace:configure.ac:537: -1- AM_CONDITIONAL([ENABLE_HTTPS], [test "${enable_https}" = "yes"])
m4trace:configure.ac:537: -1- m4_pattern_allow([^ENABLE_HTTPS_TRUE$])
m4trace:configure.ac:537: -1- m4_pattern_allow([^ENABLE_HTTPS_FALSE$])
m4trace:configure.ac:537: -1- _AM_SUBST_NOTMAKE([ENABLE_HTTPS_TRUE])
m4trace:configure.ac:537: -1- _AM_SUBST_NOTMAKE([ENABLE_HTTPS_FALSE])
m4trace:configure.ac:562: -1- m4_pattern_allow([^LINK_STATIC_JSONC$])
m4trace:configure.ac:568: -1- AM_CONDITIONAL([LINK_STATIC_JSONC], [test "${JSONC_LIBS}" = "static"])
m4trace:configure.ac:568: -1- m4_pattern_allow([^LINK_STATIC_JSONC_TRUE$])
m4trace:configure.ac:568: -1- m4_pattern_allow([^LINK_STATIC_JSONC_FALSE$])
m4trace:configure.ac:568: -1- _AM_SUBST_NOTMAKE([LINK_STATIC_JSONC_TRUE])
m4trace:configure.ac:568: -1- _AM_SUBST_NOTMAKE([LINK_STATIC_JSONC_FALSE])
m4trace:configure.ac:576: -1- m4_pattern_allow([^ENABLE_JSONC$])
m4trace:configure.ac:581: -1- AM_CONDITIONAL([ENABLE_JSONC], [test "${enable_jsonc}" = "yes"])
m4trace:configure.ac:581: -1- m4_pattern_allow([^ENABLE_JSONC_TRUE$])
m4trace:configure.ac:581: -1- m4_pattern_allow([^ENABLE_JSONC_FALSE$])
m4trace:configure.ac:581: -1- _AM_SUBST_NOTMAKE([ENABLE_JSONC_TRUE])
m4trace:configure.ac:581: -1- _AM_SUBST_NOTMAKE([ENABLE_JSONC_FALSE])
m4trace:configure.ac:586: -1- m4_pattern_allow([^SSE_CANDIDATE$])
m4trace:configure.ac:590: -1- m4_pattern_allow([^SSE_CANDIDATE$])
m4trace:configure.ac:593: -1- AX_CHECK_COMPILE_FLAG([${opt}], [CFLAGS="${CFLAGS} ${opt}"], [])
m4trace:configure.ac:597: -1- m4_pattern_allow([^likely$])
m4trace:configure.ac:598: -1- m4_pattern_allow([^unlikely$])
m4trace:configure.ac:600: -1- m4_pattern_allow([^likely$])
m4trace:configure.ac:601: -1- m4_pattern_allow([^unlikely$])
m4trace:configure.ac:605: -1- m4_pattern_allow([^__always_unused$])
m4trace:configure.ac:606: -1- m4_pattern_allow([^__maybe_unused$])
m4trace:configure.ac:608: -1- m4_pattern_allow([^__always_unused$])
m4trace:configure.ac:609: -1- m4_pattern_allow([^__maybe_unused$])
m4trace:configure.ac:622: -1- TS_CHECK_JEMALLOC
m4trace:configure.ac:622: -1- m4_pattern_allow([^prefix_jemalloc$])
m4trace:configure.ac:622: -1- m4_pattern_allow([^HAVE_JEMALLOC_JEMALLOC_H$])
m4trace:configure.ac:622: -1- m4_pattern_allow([^has_jemalloc$])
m4trace:configure.ac:622: -1- m4_pattern_allow([^has_jemalloc$])
m4trace:configure.ac:624: -1- m4_pattern_allow([^ENABLE_JEMALLOC$])
m4trace:configure.ac:627: -1- TS_CHECK_TCMALLOC
m4trace:configure.ac:627: -1- m4_pattern_allow([^has_tcmalloc$])
m4trace:configure.ac:627: -1- m4_pattern_allow([^has_tcmalloc$])
m4trace:configure.ac:629: -1- m4_pattern_allow([^ENABLE_TCMALLOC$])
m4trace:configure.ac:633: -1- AC_C_MALLOPT
m4trace:configure.ac:633: -1- m4_pattern_allow([^HAVE_C_MALLOPT$])
m4trace:configure.ac:634: -1- AC_C_MALLINFO
m4trace:configure.ac:634: -1- m4_pattern_allow([^HAVE_C_MALLINFO$])
m4trace:configure.ac:642: -1- PKG_CHECK_MODULES([LIBCAP], [libcap], [AC_CHECK_LIB([cap], [cap_get_proc, cap_set_proc],
[AC_CHECK_HEADER(
[sys/capability.h],
[have_libcap=yes],
[have_libcap=no]
)],
[have_libcap=no]
)], [have_libcap=no
])
m4trace:configure.ac:642: -1- m4_pattern_allow([^LIBCAP_CFLAGS$])
m4trace:configure.ac:642: -1- m4_pattern_allow([^LIBCAP_LIBS$])
m4trace:configure.ac:642: -1- PKG_CHECK_EXISTS([libcap], [pkg_cv_[]LIBCAP_CFLAGS=`$PKG_CONFIG --[]cflags "libcap" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:642: -1- PKG_CHECK_EXISTS([libcap], [pkg_cv_[]LIBCAP_LIBS=`$PKG_CONFIG --[]libs "libcap" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:642: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:660: -1- m4_pattern_allow([^HAVE_CAPABILITY$])
m4trace:configure.ac:667: -1- AM_CONDITIONAL([ENABLE_CAPABILITY], [test "${with_libcap}" = "yes"])
m4trace:configure.ac:667: -1- m4_pattern_allow([^ENABLE_CAPABILITY_TRUE$])
m4trace:configure.ac:667: -1- m4_pattern_allow([^ENABLE_CAPABILITY_FALSE$])
m4trace:configure.ac:667: -1- _AM_SUBST_NOTMAKE([ENABLE_CAPABILITY_TRUE])
m4trace:configure.ac:667: -1- _AM_SUBST_NOTMAKE([ENABLE_CAPABILITY_FALSE])
m4trace:configure.ac:688: -1- PKG_CHECK_MODULES([PROTOBUF], [protobuf >= 3], [have_libprotobuf=yes], [have_libprotobuf=no
])
m4trace:configure.ac:688: -1- m4_pattern_allow([^PROTOBUF_CFLAGS$])
m4trace:configure.ac:688: -1- m4_pattern_allow([^PROTOBUF_LIBS$])
m4trace:configure.ac:688: -1- PKG_CHECK_EXISTS([protobuf >= 3], [pkg_cv_[]PROTOBUF_CFLAGS=`$PKG_CONFIG --[]cflags "protobuf >= 3" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:688: -1- PKG_CHECK_EXISTS([protobuf >= 3], [pkg_cv_[]PROTOBUF_LIBS=`$PKG_CONFIG --[]libs "protobuf >= 3" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:688: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:695: -1- m4_pattern_allow([^PROTOC$])
m4trace:configure.ac:710: -1- m4_pattern_allow([^CXX_BINARY$])
m4trace:configure.ac:720: -1- m4_pattern_allow([^ACLK_NG_DISABLED$])
m4trace:configure.ac:723: -1- m4_pattern_allow([^ACLK_LEGACY_DISABLED$])
m4trace:configure.ac:768: -1- m4_pattern_allow([^ACLK_NG$])
m4trace:configure.ac:769: -1- m4_pattern_allow([^ENABLE_ACLK$])
m4trace:configure.ac:815: -1- m4_pattern_allow([^OPTIONAL_ATOMIC_LIBS$])
m4trace:configure.ac:825: -1- m4_pattern_allow([^ENABLE_NEW_CLOUD_PROTOCOL$])
m4trace:configure.ac:857: -1- m4_pattern_allow([^ACLK_NO_LIBMOSQ$])
m4trace:configure.ac:867: -1- m4_pattern_allow([^BUNDLED_LWS$])
m4trace:configure.ac:869: -1- m4_pattern_allow([^ACLK_NO_LWS$])
m4trace:configure.ac:877: -1- m4_pattern_allow([^ACLK_NO_LWS$])
m4trace:configure.ac:909: -1- m4_pattern_allow([^ACLK_LEGACY$])
m4trace:configure.ac:910: -1- m4_pattern_allow([^ENABLE_ACLK$])
m4trace:configure.ac:920: -1- m4_pattern_allow([^enable_cloud$])
m4trace:configure.ac:921: -1- m4_pattern_allow([^enable_aclk$])
m4trace:configure.ac:922: -1- AM_CONDITIONAL([ACLK_NG], [test "${aclk_ng}" = "yes"])
m4trace:configure.ac:922: -1- m4_pattern_allow([^ACLK_NG_TRUE$])
m4trace:configure.ac:922: -1- m4_pattern_allow([^ACLK_NG_FALSE$])
m4trace:configure.ac:922: -1- _AM_SUBST_NOTMAKE([ACLK_NG_TRUE])
m4trace:configure.ac:922: -1- _AM_SUBST_NOTMAKE([ACLK_NG_FALSE])
m4trace:configure.ac:923: -1- AM_CONDITIONAL([ACLK_LEGACY], [test "${aclk_legacy}" = "yes"])
m4trace:configure.ac:923: -1- m4_pattern_allow([^ACLK_LEGACY_TRUE$])
m4trace:configure.ac:923: -1- m4_pattern_allow([^ACLK_LEGACY_FALSE$])
m4trace:configure.ac:923: -1- _AM_SUBST_NOTMAKE([ACLK_LEGACY_TRUE])
m4trace:configure.ac:923: -1- _AM_SUBST_NOTMAKE([ACLK_LEGACY_FALSE])
m4trace:configure.ac:924: -1- AM_CONDITIONAL([ENABLE_ACLK], [test "${enable_aclk}" = "yes"])
m4trace:configure.ac:924: -1- m4_pattern_allow([^ENABLE_ACLK_TRUE$])
m4trace:configure.ac:924: -1- m4_pattern_allow([^ENABLE_ACLK_FALSE$])
m4trace:configure.ac:924: -1- _AM_SUBST_NOTMAKE([ENABLE_ACLK_TRUE])
m4trace:configure.ac:924: -1- _AM_SUBST_NOTMAKE([ENABLE_ACLK_FALSE])
m4trace:configure.ac:925: -1- AM_CONDITIONAL([ENABLE_NEW_CLOUD_PROTOCOL], [test "${can_build_new_cloud_protocol}" = "yes"])
m4trace:configure.ac:925: -1- m4_pattern_allow([^ENABLE_NEW_CLOUD_PROTOCOL_TRUE$])
m4trace:configure.ac:925: -1- m4_pattern_allow([^ENABLE_NEW_CLOUD_PROTOCOL_FALSE$])
m4trace:configure.ac:925: -1- _AM_SUBST_NOTMAKE([ENABLE_NEW_CLOUD_PROTOCOL_TRUE])
m4trace:configure.ac:925: -1- _AM_SUBST_NOTMAKE([ENABLE_NEW_CLOUD_PROTOCOL_FALSE])
m4trace:configure.ac:932: -1- m4_pattern_allow([^ENABLE_APPS_PLUGIN$])
m4trace:configure.ac:938: -1- AM_CONDITIONAL([ENABLE_PLUGIN_APPS], [test "${enable_plugin_apps}" = "yes"])
m4trace:configure.ac:938: -1- m4_pattern_allow([^ENABLE_PLUGIN_APPS_TRUE$])
m4trace:configure.ac:938: -1- m4_pattern_allow([^ENABLE_PLUGIN_APPS_FALSE$])
m4trace:configure.ac:938: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_APPS_TRUE])
m4trace:configure.ac:938: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_APPS_FALSE])
m4trace:configure.ac:944: -1- PKG_CHECK_MODULES([IPMIMONITORING], [libipmimonitoring], [AC_CHECK_LIB([ipmimonitoring], [
ipmi_monitoring_sensor_readings_by_record_id,
ipmi_monitoring_sensor_readings_by_sensor_type,
ipmi_monitoring_sensor_read_sensor_number,
ipmi_monitoring_sensor_read_sensor_name,
ipmi_monitoring_sensor_read_sensor_state,
ipmi_monitoring_sensor_read_sensor_units,
ipmi_monitoring_sensor_iterator_next,
ipmi_monitoring_ctx_sensor_config_file,
ipmi_monitoring_ctx_sdr_cache_directory,
ipmi_monitoring_ctx_errormsg,
ipmi_monitoring_ctx_create
],
[AC_CHECK_HEADER(
[ipmi_monitoring.h],
[AC_CHECK_HEADER(
[ipmi_monitoring_bitmasks.h],
[have_ipmimonitoring=yes],
[have_ipmimonitoring=no]
)],
[have_ipmimonitoring=no]
)],
[have_ipmimonitoring=no]
)], [have_ipmimonitoring=no
])
m4trace:configure.ac:944: -1- m4_pattern_allow([^IPMIMONITORING_CFLAGS$])
m4trace:configure.ac:944: -1- m4_pattern_allow([^IPMIMONITORING_LIBS$])
m4trace:configure.ac:944: -1- PKG_CHECK_EXISTS([libipmimonitoring], [pkg_cv_[]IPMIMONITORING_CFLAGS=`$PKG_CONFIG --[]cflags "libipmimonitoring" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:944: -1- PKG_CHECK_EXISTS([libipmimonitoring], [pkg_cv_[]IPMIMONITORING_LIBS=`$PKG_CONFIG --[]libs "libipmimonitoring" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:944: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:979: -1- m4_pattern_allow([^HAVE_FREEIPMI$])
m4trace:configure.ac:986: -1- AM_CONDITIONAL([ENABLE_PLUGIN_FREEIPMI], [test "${enable_plugin_freeipmi}" = "yes"])
m4trace:configure.ac:986: -1- m4_pattern_allow([^ENABLE_PLUGIN_FREEIPMI_TRUE$])
m4trace:configure.ac:986: -1- m4_pattern_allow([^ENABLE_PLUGIN_FREEIPMI_FALSE$])
m4trace:configure.ac:986: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_FREEIPMI_TRUE])
m4trace:configure.ac:986: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_FREEIPMI_FALSE])
m4trace:configure.ac:1011: -1- m4_pattern_allow([^CUPSCONFIG$])
m4trace:configure.ac:1023: -1- m4_pattern_allow([^HAVE_CUPS$])
m4trace:configure.ac:1034: -1- AM_CONDITIONAL([ENABLE_PLUGIN_CUPS], [test "${enable_plugin_cups}" = "yes"])
m4trace:configure.ac:1034: -1- m4_pattern_allow([^ENABLE_PLUGIN_CUPS_TRUE$])
m4trace:configure.ac:1034: -1- m4_pattern_allow([^ENABLE_PLUGIN_CUPS_FALSE$])
m4trace:configure.ac:1034: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_CUPS_TRUE])
m4trace:configure.ac:1034: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_CUPS_FALSE])
m4trace:configure.ac:1051: -1- PKG_CHECK_MODULES([NFACCT], [libnetfilter_acct], [AC_CHECK_LIB(
[netfilter_acct],
[nfacct_alloc],
[have_libnetfilter_acct=yes],
[have_libnetfilter_acct=no]
)], [have_libnetfilter_acct=no
])
m4trace:configure.ac:1051: -1- m4_pattern_allow([^NFACCT_CFLAGS$])
m4trace:configure.ac:1051: -1- m4_pattern_allow([^NFACCT_LIBS$])
m4trace:configure.ac:1051: -1- PKG_CHECK_EXISTS([libnetfilter_acct], [pkg_cv_[]NFACCT_CFLAGS=`$PKG_CONFIG --[]cflags "libnetfilter_acct" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1051: -1- PKG_CHECK_EXISTS([libnetfilter_acct], [pkg_cv_[]NFACCT_LIBS=`$PKG_CONFIG --[]libs "libnetfilter_acct" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1051: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1063: -1- PKG_CHECK_MODULES([LIBMNL], [libmnl], [AC_CHECK_LIB(
[mnl],
[mnl_socket_open],
[have_libmnl=yes],
[have_libmnl=no]
)], [have_libmnl=no
])
m4trace:configure.ac:1063: -1- m4_pattern_allow([^LIBMNL_CFLAGS$])
m4trace:configure.ac:1063: -1- m4_pattern_allow([^LIBMNL_LIBS$])
m4trace:configure.ac:1063: -1- PKG_CHECK_EXISTS([libmnl], [pkg_cv_[]LIBMNL_CFLAGS=`$PKG_CONFIG --[]cflags "libmnl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1063: -1- PKG_CHECK_EXISTS([libmnl], [pkg_cv_[]LIBMNL_LIBS=`$PKG_CONFIG --[]libs "libmnl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1063: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1089: -1- m4_pattern_allow([^HAVE_NFACCT$])
m4trace:configure.ac:1096: -1- AM_CONDITIONAL([ENABLE_PLUGIN_NFACCT], [test "${enable_plugin_nfacct}" = "yes"])
m4trace:configure.ac:1096: -1- m4_pattern_allow([^ENABLE_PLUGIN_NFACCT_TRUE$])
m4trace:configure.ac:1096: -1- m4_pattern_allow([^ENABLE_PLUGIN_NFACCT_FALSE$])
m4trace:configure.ac:1096: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_NFACCT_TRUE])
m4trace:configure.ac:1096: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_NFACCT_FALSE])
m4trace:configure.ac:1102: -1- PKG_CHECK_MODULES([YAJL], [yajl], [AC_CHECK_LIB(
[yajl],
[yajl_tree_get],
[have_libyajl=yes],
[have_libyajl=no]
)], [have_libyajl=no
])
m4trace:configure.ac:1102: -1- m4_pattern_allow([^YAJL_CFLAGS$])
m4trace:configure.ac:1102: -1- m4_pattern_allow([^YAJL_LIBS$])
m4trace:configure.ac:1102: -1- PKG_CHECK_EXISTS([yajl], [pkg_cv_[]YAJL_CFLAGS=`$PKG_CONFIG --[]cflags "yajl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1102: -1- PKG_CHECK_EXISTS([yajl], [pkg_cv_[]YAJL_LIBS=`$PKG_CONFIG --[]libs "yajl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1102: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1126: -1- PKG_CHECK_MODULES([XENLIGHT], [xenlight], [AC_CHECK_LIB(
[xenlight],
[libxl_domain_info],
[AC_CHECK_HEADER(
[libxl.h],
[have_libxenlight=yes],
[have_libxenlight=no]
)],
[have_libxenlight=no]
)], [have_libxenlight=no
])
m4trace:configure.ac:1126: -1- m4_pattern_allow([^XENLIGHT_CFLAGS$])
m4trace:configure.ac:1126: -1- m4_pattern_allow([^XENLIGHT_LIBS$])
m4trace:configure.ac:1126: -1- PKG_CHECK_EXISTS([xenlight], [pkg_cv_[]XENLIGHT_CFLAGS=`$PKG_CONFIG --[]cflags "xenlight" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1126: -1- PKG_CHECK_EXISTS([xenlight], [pkg_cv_[]XENLIGHT_LIBS=`$PKG_CONFIG --[]libs "xenlight" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1126: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1154: -1- m4_pattern_allow([^HAVE_LIBXENSTAT$])
m4trace:configure.ac:1161: -1- AM_CONDITIONAL([ENABLE_PLUGIN_XENSTAT], [test "${enable_plugin_xenstat}" = "yes"])
m4trace:configure.ac:1161: -1- m4_pattern_allow([^ENABLE_PLUGIN_XENSTAT_TRUE$])
m4trace:configure.ac:1161: -1- m4_pattern_allow([^ENABLE_PLUGIN_XENSTAT_FALSE$])
m4trace:configure.ac:1161: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_XENSTAT_TRUE])
m4trace:configure.ac:1161: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_XENSTAT_FALSE])
m4trace:configure.ac:1165: -1- _m4_warn([obsolete], [The macro `AC_TRY_LINK' is obsolete.
You should run autoupdate.], [../../lib/autoconf/general.m4:2698: AC_TRY_LINK is expanded from...
configure.ac:1165: the top level])
m4trace:configure.ac:1165: -1- m4_pattern_allow([^HAVE_XENSTAT_VBD_ERROR$])
m4trace:configure.ac:1196: -1- m4_pattern_allow([^ENABLE_PERF_PLUGIN$])
m4trace:configure.ac:1202: -1- AM_CONDITIONAL([ENABLE_PLUGIN_PERF], [test "${enable_plugin_perf}" = "yes"])
m4trace:configure.ac:1202: -1- m4_pattern_allow([^ENABLE_PLUGIN_PERF_TRUE$])
m4trace:configure.ac:1202: -1- m4_pattern_allow([^ENABLE_PLUGIN_PERF_FALSE$])
m4trace:configure.ac:1202: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_PERF_TRUE])
m4trace:configure.ac:1202: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_PERF_FALSE])
m4trace:configure.ac:1209: -1- PKG_CHECK_MODULES([GTEST], [gtest], [have_gtest=yes], [have_gtest=no])
m4trace:configure.ac:1209: -1- m4_pattern_allow([^GTEST_CFLAGS$])
m4trace:configure.ac:1209: -1- m4_pattern_allow([^GTEST_LIBS$])
m4trace:configure.ac:1209: -1- PKG_CHECK_EXISTS([gtest], [pkg_cv_[]GTEST_CFLAGS=`$PKG_CONFIG --[]cflags "gtest" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1209: -1- PKG_CHECK_EXISTS([gtest], [pkg_cv_[]GTEST_LIBS=`$PKG_CONFIG --[]libs "gtest" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1209: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1210: -1- PKG_CHECK_MODULES([GMOCK], [gmock], [have_gmock=yes], [have_gmock=no])
m4trace:configure.ac:1210: -1- m4_pattern_allow([^GMOCK_CFLAGS$])
m4trace:configure.ac:1210: -1- m4_pattern_allow([^GMOCK_LIBS$])
m4trace:configure.ac:1210: -1- PKG_CHECK_EXISTS([gmock], [pkg_cv_[]GMOCK_CFLAGS=`$PKG_CONFIG --[]cflags "gmock" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1210: -1- PKG_CHECK_EXISTS([gmock], [pkg_cv_[]GMOCK_LIBS=`$PKG_CONFIG --[]libs "gmock" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1210: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1244: -1- AX_CHECK_COMPILE_FLAG([-std=c++11], [have_cxx11=yes], [have_cxx11=no])
m4trace:configure.ac:1267: -1- AM_CONDITIONAL([ENABLE_ML], [test "${build_ml}" = "yes"])
m4trace:configure.ac:1267: -1- m4_pattern_allow([^ENABLE_ML_TRUE$])
m4trace:configure.ac:1267: -1- m4_pattern_allow([^ENABLE_ML_FALSE$])
m4trace:configure.ac:1267: -1- _AM_SUBST_NOTMAKE([ENABLE_ML_TRUE])
m4trace:configure.ac:1267: -1- _AM_SUBST_NOTMAKE([ENABLE_ML_FALSE])
m4trace:configure.ac:1269: -1- m4_pattern_allow([^ENABLE_ML$])
m4trace:configure.ac:1281: -1- AM_CONDITIONAL([ENABLE_ML_TESTS], [test "${build_ml_tests}" = "yes"])
m4trace:configure.ac:1281: -1- m4_pattern_allow([^ENABLE_ML_TESTS_TRUE$])
m4trace:configure.ac:1281: -1- m4_pattern_allow([^ENABLE_ML_TESTS_FALSE$])
m4trace:configure.ac:1281: -1- _AM_SUBST_NOTMAKE([ENABLE_ML_TESTS_TRUE])
m4trace:configure.ac:1281: -1- _AM_SUBST_NOTMAKE([ENABLE_ML_TESTS_FALSE])
m4trace:configure.ac:1283: -1- m4_pattern_allow([^ENABLE_ML_TESTS$])
m4trace:configure.ac:1292: -1- PKG_CHECK_MODULES([LIBELF], [libelf], [have_libelf=yes], [have_libelf=no
])
m4trace:configure.ac:1292: -1- m4_pattern_allow([^LIBELF_CFLAGS$])
m4trace:configure.ac:1292: -1- m4_pattern_allow([^LIBELF_LIBS$])
m4trace:configure.ac:1292: -1- PKG_CHECK_EXISTS([libelf], [pkg_cv_[]LIBELF_CFLAGS=`$PKG_CONFIG --[]cflags "libelf" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1292: -1- PKG_CHECK_EXISTS([libelf], [pkg_cv_[]LIBELF_LIBS=`$PKG_CONFIG --[]libs "libelf" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1292: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1306: -1- _m4_warn([cross], [cannot check for file existence when cross compiling], [../../lib/autoconf/general.m4:2788: AC_CHECK_FILE is expanded from...
configure.ac:1306: the top level])
m4trace:configure.ac:1318: -1- m4_pattern_allow([^HAVE_LIBBPF$])
m4trace:configure.ac:1327: -1- AM_CONDITIONAL([ENABLE_PLUGIN_EBPF], [test "${enable_ebpf}" = "yes"])
m4trace:configure.ac:1327: -1- m4_pattern_allow([^ENABLE_PLUGIN_EBPF_TRUE$])
m4trace:configure.ac:1327: -1- m4_pattern_allow([^ENABLE_PLUGIN_EBPF_FALSE$])
m4trace:configure.ac:1327: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_EBPF_TRUE])
m4trace:configure.ac:1327: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_EBPF_FALSE])
m4trace:configure.ac:1334: -1- m4_pattern_allow([^ENABLE_SLABINFO$])
m4trace:configure.ac:1340: -1- AM_CONDITIONAL([ENABLE_PLUGIN_SLABINFO], [test "${enable_plugin_slabinfo}" = "yes"])
m4trace:configure.ac:1340: -1- m4_pattern_allow([^ENABLE_PLUGIN_SLABINFO_TRUE$])
m4trace:configure.ac:1340: -1- m4_pattern_allow([^ENABLE_PLUGIN_SLABINFO_FALSE$])
m4trace:configure.ac:1340: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_SLABINFO_TRUE])
m4trace:configure.ac:1340: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_SLABINFO_FALSE])
m4trace:configure.ac:1346: -1- PKG_CHECK_MODULES([LIBCRYPTO], [libcrypto], [AC_CHECK_LIB(
[crypto],
[CRYPTO_new_ex_data],
[have_libcrypto=yes],
[have_libcrypto=no]
)], [have_libcrypto=no
])
m4trace:configure.ac:1346: -1- m4_pattern_allow([^LIBCRYPTO_CFLAGS$])
m4trace:configure.ac:1346: -1- m4_pattern_allow([^LIBCRYPTO_LIBS$])
m4trace:configure.ac:1346: -1- PKG_CHECK_EXISTS([libcrypto], [pkg_cv_[]LIBCRYPTO_CFLAGS=`$PKG_CONFIG --[]cflags "libcrypto" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1346: -1- PKG_CHECK_EXISTS([libcrypto], [pkg_cv_[]LIBCRYPTO_LIBS=`$PKG_CONFIG --[]libs "libcrypto" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1346: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1358: -1- PKG_CHECK_MODULES([LIBSSL], [libssl], [AC_CHECK_LIB(
[ssl],
[SSL_connect],
[have_libssl=yes],
[have_libssl=no]
)], [have_libssl=no
])
m4trace:configure.ac:1358: -1- m4_pattern_allow([^LIBSSL_CFLAGS$])
m4trace:configure.ac:1358: -1- m4_pattern_allow([^LIBSSL_LIBS$])
m4trace:configure.ac:1358: -1- PKG_CHECK_EXISTS([libssl], [pkg_cv_[]LIBSSL_CFLAGS=`$PKG_CONFIG --[]cflags "libssl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1358: -1- PKG_CHECK_EXISTS([libssl], [pkg_cv_[]LIBSSL_LIBS=`$PKG_CONFIG --[]libs "libssl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1358: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1370: -1- PKG_CHECK_MODULES([LIBCURL], [libcurl], [AC_CHECK_LIB(
[curl],
[curl_easy_init],
[have_libcurl=yes],
[have_libcurl=no]
)], [have_libcurl=no
])
m4trace:configure.ac:1370: -1- m4_pattern_allow([^LIBCURL_CFLAGS$])
m4trace:configure.ac:1370: -1- m4_pattern_allow([^LIBCURL_LIBS$])
m4trace:configure.ac:1370: -1- PKG_CHECK_EXISTS([libcurl], [pkg_cv_[]LIBCURL_CFLAGS=`$PKG_CONFIG --[]cflags "libcurl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1370: -1- PKG_CHECK_EXISTS([libcurl], [pkg_cv_[]LIBCURL_LIBS=`$PKG_CONFIG --[]libs "libcurl" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1370: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1382: -1- PKG_CHECK_MODULES([AWS_CPP_SDK_CORE], [aws-cpp-sdk-core], [AC_CHECK_LIB(
[aws-cpp-sdk-core],
[cJSON_free],
[have_libaws_cpp_sdk_core=yes],
[have_libaws_cpp_sdk_core=no]
)], [have_libaws_cpp_sdk_core=no
])
m4trace:configure.ac:1382: -1- m4_pattern_allow([^AWS_CPP_SDK_CORE_CFLAGS$])
m4trace:configure.ac:1382: -1- m4_pattern_allow([^AWS_CPP_SDK_CORE_LIBS$])
m4trace:configure.ac:1382: -1- PKG_CHECK_EXISTS([aws-cpp-sdk-core], [pkg_cv_[]AWS_CPP_SDK_CORE_CFLAGS=`$PKG_CONFIG --[]cflags "aws-cpp-sdk-core" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1382: -1- PKG_CHECK_EXISTS([aws-cpp-sdk-core], [pkg_cv_[]AWS_CPP_SDK_CORE_LIBS=`$PKG_CONFIG --[]libs "aws-cpp-sdk-core" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1382: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1394: -1- PKG_CHECK_MODULES([AWS_CPP_SDK_KINESIS], [aws-cpp-sdk-kinesis], [have_libaws_cpp_sdk_kinesis=yes], [have_libaws_cpp_sdk_kinesis=no
])
m4trace:configure.ac:1394: -1- m4_pattern_allow([^AWS_CPP_SDK_KINESIS_CFLAGS$])
m4trace:configure.ac:1394: -1- m4_pattern_allow([^AWS_CPP_SDK_KINESIS_LIBS$])
m4trace:configure.ac:1394: -1- PKG_CHECK_EXISTS([aws-cpp-sdk-kinesis], [pkg_cv_[]AWS_CPP_SDK_KINESIS_CFLAGS=`$PKG_CONFIG --[]cflags "aws-cpp-sdk-kinesis" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1394: -1- PKG_CHECK_EXISTS([aws-cpp-sdk-kinesis], [pkg_cv_[]AWS_CPP_SDK_KINESIS_LIBS=`$PKG_CONFIG --[]libs "aws-cpp-sdk-kinesis" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1394: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1452: -1- m4_pattern_allow([^HAVE_KINESIS$])
m4trace:configure.ac:1462: -1- AM_CONDITIONAL([ENABLE_BACKEND_KINESIS], [test "${enable_backend_kinesis}" = "yes"])
m4trace:configure.ac:1462: -1- m4_pattern_allow([^ENABLE_BACKEND_KINESIS_TRUE$])
m4trace:configure.ac:1462: -1- m4_pattern_allow([^ENABLE_BACKEND_KINESIS_FALSE$])
m4trace:configure.ac:1462: -1- _AM_SUBST_NOTMAKE([ENABLE_BACKEND_KINESIS_TRUE])
m4trace:configure.ac:1462: -1- _AM_SUBST_NOTMAKE([ENABLE_BACKEND_KINESIS_FALSE])
m4trace:configure.ac:1468: -1- PKG_CHECK_MODULES([GRPC], [grpc], [have_libgrpc=yes], [have_libgrpc=no
])
m4trace:configure.ac:1468: -1- m4_pattern_allow([^GRPC_CFLAGS$])
m4trace:configure.ac:1468: -1- m4_pattern_allow([^GRPC_LIBS$])
m4trace:configure.ac:1468: -1- PKG_CHECK_EXISTS([grpc], [pkg_cv_[]GRPC_CFLAGS=`$PKG_CONFIG --[]cflags "grpc" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1468: -1- PKG_CHECK_EXISTS([grpc], [pkg_cv_[]GRPC_LIBS=`$PKG_CONFIG --[]libs "grpc" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1468: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1475: -1- PKG_CHECK_MODULES([PUBSUB], [googleapis_cpp_pubsub_protos], [have_pubsub_protos=yes], [have_pubsub_protos=no
])
m4trace:configure.ac:1475: -1- m4_pattern_allow([^PUBSUB_CFLAGS$])
m4trace:configure.ac:1475: -1- m4_pattern_allow([^PUBSUB_LIBS$])
m4trace:configure.ac:1475: -1- PKG_CHECK_EXISTS([googleapis_cpp_pubsub_protos], [pkg_cv_[]PUBSUB_CFLAGS=`$PKG_CONFIG --[]cflags "googleapis_cpp_pubsub_protos" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1475: -1- PKG_CHECK_EXISTS([googleapis_cpp_pubsub_protos], [pkg_cv_[]PUBSUB_LIBS=`$PKG_CONFIG --[]libs "googleapis_cpp_pubsub_protos" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1475: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1482: -1- m4_pattern_allow([^CXX_BINARY$])
m4trace:configure.ac:1501: -1- m4_pattern_allow([^ENABLE_EXPORTING_PUBSUB$])
m4trace:configure.ac:1510: -1- AM_CONDITIONAL([ENABLE_EXPORTING_PUBSUB], [test "${enable_exporting_pubsub}" = "yes"])
m4trace:configure.ac:1510: -1- m4_pattern_allow([^ENABLE_EXPORTING_PUBSUB_TRUE$])
m4trace:configure.ac:1510: -1- m4_pattern_allow([^ENABLE_EXPORTING_PUBSUB_FALSE$])
m4trace:configure.ac:1510: -1- _AM_SUBST_NOTMAKE([ENABLE_EXPORTING_PUBSUB_TRUE])
m4trace:configure.ac:1510: -1- _AM_SUBST_NOTMAKE([ENABLE_EXPORTING_PUBSUB_FALSE])
m4trace:configure.ac:1518: -1- _m4_warn([obsolete], [The macro `AC_LANG_SAVE' is obsolete.
You should run autoupdate.], [../../lib/autoconf/lang.m4:125: AC_LANG_SAVE is expanded from...
configure.ac:1518: the top level])
m4trace:configure.ac:1519: -1- _m4_warn([obsolete], [The macro `AC_LANG_CPLUSPLUS' is obsolete.
You should run autoupdate.], [../../lib/autoconf/c.m4:252: AC_LANG_CPLUSPLUS is expanded from...
configure.ac:1519: the top level])
m4trace:configure.ac:1525: -1- _m4_warn([obsolete], [The macro `AC_TRY_LINK' is obsolete.
You should run autoupdate.], [../../lib/autoconf/general.m4:2698: AC_TRY_LINK is expanded from...
configure.ac:1525: the top level])
m4trace:configure.ac:1547: -1- _m4_warn([obsolete], [The macro `AC_LANG_RESTORE' is obsolete.
You should run autoupdate.], [../../lib/autoconf/lang.m4:134: AC_LANG_RESTORE is expanded from...
configure.ac:1547: the top level])
m4trace:configure.ac:1567: -1- m4_pattern_allow([^ENABLE_PROMETHEUS_REMOTE_WRITE$])
m4trace:configure.ac:1578: -1- AM_CONDITIONAL([ENABLE_BACKEND_PROMETHEUS_REMOTE_WRITE], [test "${enable_backend_prometheus_remote_write}" = "yes"])
m4trace:configure.ac:1578: -1- m4_pattern_allow([^ENABLE_BACKEND_PROMETHEUS_REMOTE_WRITE_TRUE$])
m4trace:configure.ac:1578: -1- m4_pattern_allow([^ENABLE_BACKEND_PROMETHEUS_REMOTE_WRITE_FALSE$])
m4trace:configure.ac:1578: -1- _AM_SUBST_NOTMAKE([ENABLE_BACKEND_PROMETHEUS_REMOTE_WRITE_TRUE])
m4trace:configure.ac:1578: -1- _AM_SUBST_NOTMAKE([ENABLE_BACKEND_PROMETHEUS_REMOTE_WRITE_FALSE])
m4trace:configure.ac:1584: -1- PKG_CHECK_MODULES([LIBMONGOC], [libmongoc-1.0 >= 1.7], [have_libmongoc=yes], [have_libmongoc=no
])
m4trace:configure.ac:1584: -1- m4_pattern_allow([^LIBMONGOC_CFLAGS$])
m4trace:configure.ac:1584: -1- m4_pattern_allow([^LIBMONGOC_LIBS$])
m4trace:configure.ac:1584: -1- PKG_CHECK_EXISTS([libmongoc-1.0 >= 1.7], [pkg_cv_[]LIBMONGOC_CFLAGS=`$PKG_CONFIG --[]cflags "libmongoc-1.0 >= 1.7" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1584: -1- PKG_CHECK_EXISTS([libmongoc-1.0 >= 1.7], [pkg_cv_[]LIBMONGOC_LIBS=`$PKG_CONFIG --[]libs "libmongoc-1.0 >= 1.7" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1584: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1597: -1- m4_pattern_allow([^HAVE_MONGOC$])
m4trace:configure.ac:1605: -1- AM_CONDITIONAL([ENABLE_BACKEND_MONGODB], [test "${enable_backend_mongodb}" = "yes"])
m4trace:configure.ac:1605: -1- m4_pattern_allow([^ENABLE_BACKEND_MONGODB_TRUE$])
m4trace:configure.ac:1605: -1- m4_pattern_allow([^ENABLE_BACKEND_MONGODB_FALSE$])
m4trace:configure.ac:1605: -1- _AM_SUBST_NOTMAKE([ENABLE_BACKEND_MONGODB_TRUE])
m4trace:configure.ac:1605: -1- _AM_SUBST_NOTMAKE([ENABLE_BACKEND_MONGODB_FALSE])
m4trace:configure.ac:1615: -1- m4_pattern_allow([^HAVE_SETNS$])
m4trace:configure.ac:1620: -1- AM_CONDITIONAL([ENABLE_PLUGIN_CGROUP_NETWORK], [test "${have_setns}" = "yes"])
m4trace:configure.ac:1620: -1- m4_pattern_allow([^ENABLE_PLUGIN_CGROUP_NETWORK_TRUE$])
m4trace:configure.ac:1620: -1- m4_pattern_allow([^ENABLE_PLUGIN_CGROUP_NETWORK_FALSE$])
m4trace:configure.ac:1620: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_CGROUP_NETWORK_TRUE])
m4trace:configure.ac:1620: -1- _AM_SUBST_NOTMAKE([ENABLE_PLUGIN_CGROUP_NETWORK_FALSE])
m4trace:configure.ac:1628: -1- AX_CHECK_COMPILE_FLAG([${opt}], [have_lto=yes], [have_lto=no])
m4trace:configure.ac:1635: -1- AC_C_LTO
m4trace:configure.ac:1635: -1- m4_pattern_allow([^HAVE_LTO$])
m4trace:configure.ac:1653: -1- AM_CONDITIONAL([ENABLE_CXX_LINKER], [test "${enable_backend_kinesis}" = "yes" \
-o "${enable_exporting_pubsub}" = "yes" \
-o "${enable_backend_prometheus_remote_write}" = "yes" \
-o "${new_cloud_protocol}" = "yes" \
-o "${build_ml}" = "yes"])
m4trace:configure.ac:1653: -1- m4_pattern_allow([^ENABLE_CXX_LINKER_TRUE$])
m4trace:configure.ac:1653: -1- m4_pattern_allow([^ENABLE_CXX_LINKER_FALSE$])
m4trace:configure.ac:1653: -1- _AM_SUBST_NOTMAKE([ENABLE_CXX_LINKER_TRUE])
m4trace:configure.ac:1653: -1- _AM_SUBST_NOTMAKE([ENABLE_CXX_LINKER_FALSE])
m4trace:configure.ac:1659: -1- m4_pattern_allow([^NETDATA_USER$])
m4trace:configure.ac:1672: -1- m4_pattern_allow([^build_target$])
m4trace:configure.ac:1673: -1- m4_pattern_allow([^varlibdir$])
m4trace:configure.ac:1674: -1- m4_pattern_allow([^registrydir$])
m4trace:configure.ac:1675: -1- m4_pattern_allow([^cachedir$])
m4trace:configure.ac:1676: -1- m4_pattern_allow([^chartsdir$])
m4trace:configure.ac:1677: -1- m4_pattern_allow([^nodedir$])
m4trace:configure.ac:1678: -1- m4_pattern_allow([^pythondir$])
m4trace:configure.ac:1679: -1- m4_pattern_allow([^configdir$])
m4trace:configure.ac:1680: -1- m4_pattern_allow([^libconfigdir$])
m4trace:configure.ac:1681: -1- m4_pattern_allow([^logdir$])
m4trace:configure.ac:1682: -1- m4_pattern_allow([^pluginsdir$])
m4trace:configure.ac:1683: -1- m4_pattern_allow([^webdir$])
m4trace:configure.ac:1705: -1- m4_pattern_allow([^OPTIONAL_MATH_CFLAGS$])
m4trace:configure.ac:1706: -1- m4_pattern_allow([^OPTIONAL_MATH_LIBS$])
m4trace:configure.ac:1707: -1- m4_pattern_allow([^OPTIONAL_UV_LIBS$])
m4trace:configure.ac:1708: -1- m4_pattern_allow([^OPTIONAL_LZ4_LIBS$])
m4trace:configure.ac:1709: -1- m4_pattern_allow([^OPTIONAL_JUDY_CFLAGS$])
m4trace:configure.ac:1710: -1- m4_pattern_allow([^OPTIONAL_JUDY_LIBS$])
m4trace:configure.ac:1711: -1- m4_pattern_allow([^OPTIONAL_SSL_LIBS$])
m4trace:configure.ac:1712: -1- m4_pattern_allow([^OPTIONAL_JSONC_LIBS$])
m4trace:configure.ac:1713: -1- m4_pattern_allow([^OPTIONAL_NFACCT_CFLAGS$])
m4trace:configure.ac:1714: -1- m4_pattern_allow([^OPTIONAL_NFACCT_LIBS$])
m4trace:configure.ac:1715: -1- m4_pattern_allow([^OPTIONAL_ZLIB_CFLAGS$])
m4trace:configure.ac:1716: -1- m4_pattern_allow([^OPTIONAL_ZLIB_LIBS$])
m4trace:configure.ac:1717: -1- m4_pattern_allow([^OPTIONAL_UUID_CFLAGS$])
m4trace:configure.ac:1718: -1- m4_pattern_allow([^OPTIONAL_UUID_LIBS$])
m4trace:configure.ac:1719: -1- m4_pattern_allow([^OPTIONAL_BPF_CFLAGS$])
m4trace:configure.ac:1720: -1- m4_pattern_allow([^OPTIONAL_BPF_LIBS$])
m4trace:configure.ac:1721: -1- m4_pattern_allow([^OPTIONAL_MQTT_LIBS$])
m4trace:configure.ac:1722: -1- m4_pattern_allow([^OPTIONAL_LIBCAP_CFLAGS$])
m4trace:configure.ac:1723: -1- m4_pattern_allow([^OPTIONAL_LIBCAP_LIBS$])
m4trace:configure.ac:1724: -1- m4_pattern_allow([^OPTIONAL_IPMIMONITORING_CFLAGS$])
m4trace:configure.ac:1725: -1- m4_pattern_allow([^OPTIONAL_IPMIMONITORING_LIBS$])
m4trace:configure.ac:1726: -1- m4_pattern_allow([^OPTIONAL_CUPS_CFLAGS$])
m4trace:configure.ac:1727: -1- m4_pattern_allow([^OPTIONAL_CUPS_LIBS$])
m4trace:configure.ac:1728: -1- m4_pattern_allow([^OPTIONAL_XENSTAT_CFLAGS$])
m4trace:configure.ac:1729: -1- m4_pattern_allow([^OPTIONAL_XENSTAT_LIBS$])
m4trace:configure.ac:1730: -1- m4_pattern_allow([^OPTIONAL_KINESIS_CFLAGS$])
m4trace:configure.ac:1731: -1- m4_pattern_allow([^OPTIONAL_KINESIS_LIBS$])
m4trace:configure.ac:1732: -1- m4_pattern_allow([^OPTIONAL_PUBSUB_CFLAGS$])
m4trace:configure.ac:1733: -1- m4_pattern_allow([^OPTIONAL_PUBSUB_LIBS$])
m4trace:configure.ac:1734: -1- m4_pattern_allow([^OPTIONAL_PROMETHEUS_REMOTE_WRITE_CFLAGS$])
m4trace:configure.ac:1735: -1- m4_pattern_allow([^OPTIONAL_PROMETHEUS_REMOTE_WRITE_LIBS$])
m4trace:configure.ac:1736: -1- m4_pattern_allow([^OPTIONAL_MONGOC_CFLAGS$])
m4trace:configure.ac:1737: -1- m4_pattern_allow([^OPTIONAL_MONGOC_LIBS$])
m4trace:configure.ac:1738: -1- m4_pattern_allow([^OPTIONAL_LWS_LIBS$])
m4trace:configure.ac:1739: -1- m4_pattern_allow([^OPTIONAL_ACLK_NG_CFLAGS$])
m4trace:configure.ac:1740: -1- m4_pattern_allow([^OPTIONAL_PROTOBUF_CFLAGS$])
m4trace:configure.ac:1741: -1- m4_pattern_allow([^OPTIONAL_PROTOBUF_LIBS$])
m4trace:configure.ac:1742: -1- m4_pattern_allow([^OPTIONAL_GTEST_CFLAGS$])
m4trace:configure.ac:1743: -1- m4_pattern_allow([^OPTIONAL_GTEST_LIBS$])
m4trace:configure.ac:1744: -1- m4_pattern_allow([^OPTIONAL_ML_CFLAGS$])
m4trace:configure.ac:1745: -1- m4_pattern_allow([^OPTIONAL_ML_LIBS$])
m4trace:configure.ac:1746: -1- m4_pattern_allow([^OPTIONAL_ML_TESTS_CFLAGS$])
m4trace:configure.ac:1747: -1- m4_pattern_allow([^OPTIONAL_ML_TESTS_LIBS$])
m4trace:configure.ac:1761: -1- PKG_CHECK_MODULES([CMOCKA], [cmocka], [have_cmocka="yes"], [AC_MSG_NOTICE([CMocka not found on the system. Unit tests disabled])
])
m4trace:configure.ac:1761: -1- m4_pattern_allow([^CMOCKA_CFLAGS$])
m4trace:configure.ac:1761: -1- m4_pattern_allow([^CMOCKA_LIBS$])
m4trace:configure.ac:1761: -1- PKG_CHECK_EXISTS([cmocka], [pkg_cv_[]CMOCKA_CFLAGS=`$PKG_CONFIG --[]cflags "cmocka" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1761: -1- PKG_CHECK_EXISTS([cmocka], [pkg_cv_[]CMOCKA_LIBS=`$PKG_CONFIG --[]libs "cmocka" 2>/dev/null`
test "x$?" != "x0" && pkg_failed=yes ], [pkg_failed=yes])
m4trace:configure.ac:1761: -1- _PKG_SHORT_ERRORS_SUPPORTED
m4trace:configure.ac:1767: -1- AM_CONDITIONAL([ENABLE_UNITTESTS], [test "${enable_unit_tests}" = "yes" -a "${have_cmocka}" = "yes" ])
m4trace:configure.ac:1767: -1- m4_pattern_allow([^ENABLE_UNITTESTS_TRUE$])
m4trace:configure.ac:1767: -1- m4_pattern_allow([^ENABLE_UNITTESTS_FALSE$])
m4trace:configure.ac:1767: -1- _AM_SUBST_NOTMAKE([ENABLE_UNITTESTS_TRUE])
m4trace:configure.ac:1767: -1- _AM_SUBST_NOTMAKE([ENABLE_UNITTESTS_FALSE])
m4trace:configure.ac:1768: -1- m4_pattern_allow([^ENABLE_UNITTESTS$])
m4trace:configure.ac:1773: -1- m4_pattern_allow([^TEST_CFLAGS$])
m4trace:configure.ac:1774: -1- m4_pattern_allow([^TEST_LIBS$])
m4trace:configure.ac:1778: -1- m4_pattern_allow([^CONFIGURE_COMMAND$])
m4trace:configure.ac:1898: -1- m4_pattern_allow([^LIB@&t@OBJS$])
m4trace:configure.ac:1898: -1- m4_pattern_allow([^LTLIBOBJS$])
m4trace:configure.ac:1898: -1- AM_CONDITIONAL([am__EXEEXT], [test -n "$EXEEXT"])
m4trace:configure.ac:1898: -1- m4_pattern_allow([^am__EXEEXT_TRUE$])
m4trace:configure.ac:1898: -1- m4_pattern_allow([^am__EXEEXT_FALSE$])
m4trace:configure.ac:1898: -1- _AM_SUBST_NOTMAKE([am__EXEEXT_TRUE])
m4trace:configure.ac:1898: -1- _AM_SUBST_NOTMAKE([am__EXEEXT_FALSE])
m4trace:configure.ac:1898: -1- _AC_AM_CONFIG_HEADER_HOOK(["$ac_file"])
m4trace:configure.ac:1898: -1- _AM_OUTPUT_DEPENDENCY_COMMANDS
m4trace:configure.ac:1898: -1- AM_RUN_LOG([cd "$am_dirpart" \
&& sed -e '/# am--include-marker/d' "$am_filepart" \
| $MAKE -f - am--depfiles])